Debian Bug report logs - #585966
pdns-server: init.d script should provide the virtual facility $named

version graph

Package: pdns-server; Maintainer for pdns-server is Debian PowerDNS Maintainers <pkg-pdns-maintainers@lists.alioth.debian.org>; Source for pdns-server is src:pdns.

Reported by: Petter Reinholdtsen <pere@hungry.com>

Date: Tue, 15 Jun 2010 09:06:02 UTC

Severity: grave

Tags: patch

Found in versions pdns/2.9.22-6, pdns/2.9.22-5

Fixed in version pdns/2.9.22-7

Done: Matthijs Mohlmann <matthijs@cacholong.nl>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Matthijs Mohlmann <matthijs@cacholong.nl>:
Bug#585966; Package pdns-server. (Tue, 15 Jun 2010 09:06:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Petter Reinholdtsen <pere@hungry.com>:
New Bug report received and forwarded. Copy sent to Matthijs Mohlmann <matthijs@cacholong.nl>. (Tue, 15 Jun 2010 09:06:05 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Petter Reinholdtsen <pere@hungry.com>
To: submit@bugs.debian.org
Subject: pdns-server: init.d script should provide the virtual facility $named
Date: Tue, 15 Jun 2010 11:03:26 +0200
Package:  pdns-server
Version:  2.9.22-5
Severity: grave
Tags:     patch
User:     debian-edu@lists.debian.org
UserTags: debian-edu
User:     initscripts-ng-devel@lists.alioth.debian.org
Usertags: incorrect-dependency

The init.d script in the pdns-server package do not provide the
virtual facility $named, causing all init.d scripts expecting the DNS
server to be operational when they start during boot to fail.  I
discovered this with the Debian Edu main-server profile, were we
include a lot of services on the same machine.

Setting the severity to grave, as this causes other packages to fail
to start properly at boot when used on a machine with pdns as the
local DNS resolver.

Providing a virtual facility is implemented by adding a file in
/etc/insserv.conf.d/.

Here is a patch to implement this for pdns-server.

diff -uNr pdns-2.9.22/debian/pdns-server.insserv pdns-2.9.22-pere/debian/pdns-server.insserv
--- pdns-2.9.22/debian/pdns-server.insserv	1970-01-01 01:00:00.000000000 +0100
+++ pdns-2.9.22-pere/debian/pdns-server.insserv	2010-06-15 10:55:49.858068000 +0200
@@ -0,0 +1 @@
+$named	pdns
diff -uNr pdns-2.9.22/debian/rules pdns-2.9.22-pere/debian/rules
--- pdns-2.9.22/debian/rules	2010-04-07 22:34:37.000000000 +0200
+++ pdns-2.9.22-pere/debian/rules	2010-06-15 10:57:14.054724000 +0200
@@ -87,6 +87,10 @@
 	# Install the stuff
 	$(MAKE) install DESTDIR=$(CURDIR)/debian/tmp
 	$(MAKE) -C pdns/docs html/index.html
+	# Set up init.d virtual facility
+	mkdir -p $(CURDIR)/debian/pdns-server/etc/insserv.conf.d
+	cp $(CURDIR)/debian/pdns-server.insserv \
+	   $(CURDIR)/debian/pdns-server/etc/insserv.conf.d/pdns-server
 	
 	dh_install
 

Happy hacking,
-- 
Petter Reinholdtsen




Information forwarded to debian-bugs-dist@lists.debian.org, Matthijs Mohlmann <matthijs@cacholong.nl>:
Bug#585966; Package pdns-server. (Wed, 16 Jun 2010 11:51:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Petter Reinholdtsen <pere@hungry.com>:
Extra info received and forwarded to list. Copy sent to Matthijs Mohlmann <matthijs@cacholong.nl>. (Wed, 16 Jun 2010 11:51:03 GMT) Full text and rfc822 format available.

Message #10 received at 585966@bugs.debian.org (full text, mbox):

From: Petter Reinholdtsen <pere@hungry.com>
To: 585966@bugs.debian.org
Subject: Re: Bug#585966: pdns-server: init.d script should provide the virtual facility $named
Date: Wed, 16 Jun 2010 13:49:44 +0200
Hm, making pdns implement the $named virtual facility do not seem to
be enough.  The server is not accepting DNS requests when the init.d
script exits, causing dhcpd to fail to start even if its init.d script
depend on $named.  This syslog snipped show the issue.  Notice how the
LDAP server is operational first, pdns starts, dhcpd starts and then
pdns report that it is listening to DNS requests on TCP and UDP:

Jun 16 13:32:23 tjener slapd[2341]: slapd starting
Jun 16 13:32:24 tjener pdns[2358]: Listening on controlsocket in '/var/run/pdns.controlsocket'
Jun 16 13:32:24 tjener pdns[2363]: Guardian is launching an instance
Jun 16 13:32:24 tjener pdns[2363]: Reading random entropy from '/dev/urandom'
Jun 16 13:32:24 tjener dhcpd: Connecting to LDAP server ldap:389
Jun 16 13:32:24 tjener dhcpd: Successfully logged into LDAP server ldap
Jun 16 13:32:24 tjener dhcpd: Cannot find host LDAP entry dhcp (&(objectClass=dhcpServer)(cn=dhcp))
Jun 16 13:32:24 tjener dhcpd: Configuration file errors encountered -- exiting
Jun 16 13:32:24 tjener dhcpd: Internet Systems Consortium DHCP Server V3.1.3
Jun 16 13:32:24 tjener dhcpd: Copyright 2004-2009 Internet Systems Consortium.
Jun 16 13:32:24 tjener dhcpd: All rights reserved.
Jun 16 13:32:24 tjener dhcpd: For info, please visit https://www.isc.org/software/dhcp/
Jun 16 13:32:24 tjener dhcpd: Connecting to LDAP server ldap:389
Jun 16 13:32:24 tjener dhcpd: Successfully logged into LDAP server ldap
Jun 16 13:32:24 tjener dhcpd: Cannot find host LDAP entry dhcp (&(objectClass=dhcpServer)(cn=dhcp))
Jun 16 13:32:24 tjener dhcpd: Configuration file errors encountered -- exiting
Jun 16 13:32:24 tjener pdns[2363]: This is a guarded instance of pdns
Jun 16 13:32:24 tjener pdns[2363]: It is advised to bind to explicit addresses with the --local-address option
Jun 16 13:32:24 tjener pdns[2363]: UDP server bound to 0.0.0.0:53
Jun 16 13:32:24 tjener pdns[2363]: TCP server bound to 0.0.0.0:53
Jun 16 13:32:24 tjener pdns[2363]: PowerDNS 2.9.22 (C) 2001-2009 PowerDNS.COM BV (May 23 2010, 12:35:32, gcc 4.4.4) starting up
Jun 16 13:32:24 tjener pdns[2363]: PowerDNS comes with ABSOLUTELY NO WARRANTY. This is free software, and you are welcome to redistribute it according to the terms of the GPL version 2.
Jun 16 13:32:24 tjener pdns[2363]: DNS Proxy launched, local port 15935, remote 127.0.0.1:1553
Jun 16 13:32:24 tjener pdns[2363]: Creating backend connection for TCP
Jun 16 13:32:24 tjener pdns[2363]: About to create 3 backend threads for UDP
Jun 16 13:32:24 tjener pdns[2363]: Done launching threads, ready to distribute questions

I tried adding 'sleep 2' at the end of the 'start' block in
init.d/pdns, and this changed the ordering to this:

Jun 16 13:41:57 tjener slapd[2155]: slapd starting
Jun 16 13:41:57 tjener pdns[2184]: Listening on controlsocket in '/var/run/pdns.controlsocket'
Jun 16 13:41:57 tjener pdns[2187]: Guardian is launching an instance
Jun 16 13:41:57 tjener pdns[2187]: Reading random entropy from '/dev/urandom'
Jun 16 13:41:58 tjener pdns[2187]: This is a guarded instance of pdns
Jun 16 13:41:58 tjener pdns[2187]: UDP server bound to 127.0.0.1:53
Jun 16 13:41:58 tjener pdns[2187]: UDP server bound to 10.0.2.2:53
Jun 16 13:41:58 tjener pdns[2187]: TCP server bound to 127.0.0.1:53
Jun 16 13:41:58 tjener pdns[2187]: TCP server bound to 10.0.2.2:53
Jun 16 13:41:58 tjener pdns[2187]: PowerDNS 2.9.22 (C) 2001-2009 PowerDNS.COM BV (May 23 2010, 12:35:32, gcc 4.4.4) starting up
Jun 16 13:41:58 tjener pdns[2187]: PowerDNS comes with ABSOLUTELY NO WARRANTY. This is free software, and you are welcome to redistribute it
according to the terms of the GPL version 2.
Jun 16 13:41:58 tjener pdns[2187]: DNS Proxy launched, local port 30607, remote 127.0.0.1:1553
Jun 16 13:41:58 tjener pdns[2187]: Creating backend connection for TCP
Jun 16 13:41:58 tjener pdns[2187]: About to create 3 backend threads for UDP
Jun 16 13:41:58 tjener pdns[2187]: Done launching threads, ready to distribute questions
Jun 16 13:41:58 tjener kdm: :0[1961]: ignoring low-UID user (0 < 1000)
Jun 16 13:41:59 tjener dhcpd: Connecting to LDAP server ldap:389
Jun 16 13:41:59 tjener dhcpd: Successfully logged into LDAP server ldap
Jun 16 13:41:59 tjener dhcpd: Found dhcpServer LDAP entry 'cn=dhcp,dc=skole,dc=skolelinux,dc=no'
Jun 16 13:41:59 tjener dhcpd: LDAP: Parsing dhcpServer options 'cn=dhcp,dc=skole,dc=skolelinux,dc=no' ...

This time the LDAP server starts, pdns starts and is ready to handle
DNS requests before dhcpd starts, and the DHCP server is able to get
going at boot.

Can the pdns init.d script or the pdns source be changed to make sure
pdns is operational when the init.d script exits?

Happy hacking,
-- 
Petter Reinholdtsen




Information forwarded to debian-bugs-dist@lists.debian.org, Matthijs Mohlmann <matthijs@cacholong.nl>:
Bug#585966; Package pdns-server. (Fri, 25 Jun 2010 14:12:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Petter Reinholdtsen <pere@hungry.com>:
Extra info received and forwarded to list. Copy sent to Matthijs Mohlmann <matthijs@cacholong.nl>. (Fri, 25 Jun 2010 14:12:03 GMT) Full text and rfc822 format available.

Message #15 received at 585966@bugs.debian.org (full text, mbox):

From: Petter Reinholdtsen <pere@hungry.com>
To: 585966@bugs.debian.org
Subject: Re: Bug#585966: pdns-server: init.d script should provide the virtual facility $named
Date: Fri, 25 Jun 2010 16:10:09 +0200
Hi.  Do you have any feedback on this issue?  Should I NMU to add the
$named virtual facility to at least improve the situation?  Adding
'sleep 5' after starting the service might provide a workaround for
the fact that pdns is not ready to answer requests imediately after
the init.d script ends, by buying more time for pdns to get ready.

Happy hacking,
-- 
Petter Reinholdtsen




Information forwarded to debian-bugs-dist@lists.debian.org, Matthijs Mohlmann <matthijs@cacholong.nl>:
Bug#585966; Package pdns-server. (Sun, 18 Jul 2010 11:15:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Matthijs Möhlmann <matthijs@cacholong.nl>:
Extra info received and forwarded to list. Copy sent to Matthijs Mohlmann <matthijs@cacholong.nl>. (Sun, 18 Jul 2010 11:15:03 GMT) Full text and rfc822 format available.

Message #20 received at 585966@bugs.debian.org (full text, mbox):

From: Matthijs Möhlmann <matthijs@cacholong.nl>
To: Petter Reinholdtsen <pere@hungry.com>, 585966@bugs.debian.org
Subject: Re: pdns-server: init.d script should provide the virtual facility $named
Date: Sun, 18 Jul 2010 13:02:10 +0200
-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Hi,

What contents should the file /etc/insserv.conf.d/pdns-server have?

For the other bug reported, I'll check if the pdns-server is running or
not before letting the script proceed.

I'm planning to upload the package this afternoon.

Regards,

Matthijs Mohlmann
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)
Comment: Using GnuPG with Mozilla - http://enigmail.mozdev.org/

iEYEARECAAYFAkxC3zIACgkQ2n1ROIkXqbB3pQCgo5zdTaC9z88kEgc913rJwMfl
vXwAoIT2VktQEiSCDXDNKrsTeBGpZBOL
=l4Gs
-----END PGP SIGNATURE-----




Information forwarded to debian-bugs-dist@lists.debian.org, Matthijs Mohlmann <matthijs@cacholong.nl>:
Bug#585966; Package pdns-server. (Sun, 18 Jul 2010 11:27:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Petter Reinholdtsen <pere@hungry.com>:
Extra info received and forwarded to list. Copy sent to Matthijs Mohlmann <matthijs@cacholong.nl>. (Sun, 18 Jul 2010 11:27:05 GMT) Full text and rfc822 format available.

Message #25 received at 585966@bugs.debian.org (full text, mbox):

From: Petter Reinholdtsen <pere@hungry.com>
To: 585966@bugs.debian.org
Subject: Re: pdns-server: init.d script should provide the virtual facility $named
Date: Sun, 18 Jul 2010 13:22:48 +0200
[Matthijs Möhlmann]
> What contents should the file /etc/insserv.conf.d/pdns-server have?

I believe this is the content needed:

  $named pdns

It will add a hard dependency from $named to pdns.

> For the other bug reported, I'll check if the pdns-server is running
> or not before letting the script proceed.

Great.  Not sure if that is enough.  Perhaps it is a idea to verify
that it is listening on its port and replying to requests before
continuing?

The proper fix would be to change the source to make sure the config
is loaded and the ports bound before forking, to ensure the server is
operational.

> I'm planning to upload the package this afternoon.

Great. :)

Happy hacking,
-- 
Petter Reinholdtsen




Reply sent to Matthijs Mohlmann <matthijs@cacholong.nl>:
You have taken responsibility. (Sun, 18 Jul 2010 13:33:10 GMT) Full text and rfc822 format available.

Notification sent to Petter Reinholdtsen <pere@hungry.com>:
Bug acknowledged by developer. (Sun, 18 Jul 2010 13:33:10 GMT) Full text and rfc822 format available.

Message #30 received at 585966-close@bugs.debian.org (full text, mbox):

From: Matthijs Mohlmann <matthijs@cacholong.nl>
To: 585966-close@bugs.debian.org
Subject: Bug#585966: fixed in pdns 2.9.22-6
Date: Sun, 18 Jul 2010 13:32:14 +0000
Source: pdns
Source-Version: 2.9.22-6

We believe that the bug you reported is fixed in the latest version of
pdns, which is due to be installed in the Debian FTP archive:

pdns-backend-geo_2.9.22-6_amd64.deb
  to main/p/pdns/pdns-backend-geo_2.9.22-6_amd64.deb
pdns-backend-ldap_2.9.22-6_amd64.deb
  to main/p/pdns/pdns-backend-ldap_2.9.22-6_amd64.deb
pdns-backend-mysql_2.9.22-6_amd64.deb
  to main/p/pdns/pdns-backend-mysql_2.9.22-6_amd64.deb
pdns-backend-pgsql_2.9.22-6_amd64.deb
  to main/p/pdns/pdns-backend-pgsql_2.9.22-6_amd64.deb
pdns-backend-pipe_2.9.22-6_amd64.deb
  to main/p/pdns/pdns-backend-pipe_2.9.22-6_amd64.deb
pdns-backend-sqlite3_2.9.22-6_amd64.deb
  to main/p/pdns/pdns-backend-sqlite3_2.9.22-6_amd64.deb
pdns-backend-sqlite_2.9.22-6_amd64.deb
  to main/p/pdns/pdns-backend-sqlite_2.9.22-6_amd64.deb
pdns-doc_2.9.22-6_all.deb
  to main/p/pdns/pdns-doc_2.9.22-6_all.deb
pdns-server_2.9.22-6_amd64.deb
  to main/p/pdns/pdns-server_2.9.22-6_amd64.deb
pdns_2.9.22-6.debian.tar.gz
  to main/p/pdns/pdns_2.9.22-6.debian.tar.gz
pdns_2.9.22-6.dsc
  to main/p/pdns/pdns_2.9.22-6.dsc



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 585966@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Matthijs Mohlmann <matthijs@cacholong.nl> (supplier of updated pdns package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Sun, 18 Jul 2010 14:48:27 +0200
Source: pdns
Binary: pdns-server pdns-doc pdns-backend-pipe pdns-backend-ldap pdns-backend-geo pdns-backend-mysql pdns-backend-pgsql pdns-backend-sqlite pdns-backend-sqlite3
Architecture: source all amd64
Version: 2.9.22-6
Distribution: unstable
Urgency: high
Maintainer: Matthijs Mohlmann <matthijs@cacholong.nl>
Changed-By: Matthijs Mohlmann <matthijs@cacholong.nl>
Description: 
 pdns-backend-geo - geo backend for PowerDNS
 pdns-backend-ldap - LDAP backend for PowerDNS
 pdns-backend-mysql - generic MySQL backend for PowerDNS
 pdns-backend-pgsql - generic PostgreSQL backend for PowerDNS
 pdns-backend-pipe - pipe/coprocess backend for PowerDNS
 pdns-backend-sqlite - sqlite backend for PowerDNS
 pdns-backend-sqlite3 - sqlite backend for PowerDNS
 pdns-doc   - PowerDNS manual
 pdns-server - extremely powerful and versatile nameserver
Closes: 585572 585966
Changes: 
 pdns (2.9.22-6) unstable; urgency=high
 .
   * Provide the virtual facility $named. (Closes: #585966)
   * Added danish translation thanks to Joe Dalton (Closes: #585572)
   * For now add a 2 second delay before continue with the boot process to
     ensure pdns is listening on a socket.
   * Update Standards-Version to 3.9.0
Checksums-Sha1: 
 c6a65bb9f5bf8e585e701009a7826c3dc6e5cc4d 1446 pdns_2.9.22-6.dsc
 27600d41be5a8b88457fcfdc4d673c307c665d84 37154 pdns_2.9.22-6.debian.tar.gz
 5e5ca4cabc2e2d4dd61f39a705aa150e08e6eed5 192644 pdns-doc_2.9.22-6_all.deb
 7443882fe350db5832bda743627ebcd67232b320 803662 pdns-server_2.9.22-6_amd64.deb
 b5a4cbae0b4d99b6108a49e84a03e6504262d686 81648 pdns-backend-pipe_2.9.22-6_amd64.deb
 ee81cf0e1d563c16e3280a4778d26f7709aed383 282708 pdns-backend-ldap_2.9.22-6_amd64.deb
 72e35e87bffe9b86f3006d2cfe9213a2783c2a66 103714 pdns-backend-geo_2.9.22-6_amd64.deb
 d2275cbe446efee7bee428e46c5039ff04d5e727 63874 pdns-backend-mysql_2.9.22-6_amd64.deb
 fa4cc96c6159da3fc17c18521e3e8b5fd5a06c0b 66726 pdns-backend-pgsql_2.9.22-6_amd64.deb
 53edd9980ca69176aae0c0fb0d49c051927da040 61320 pdns-backend-sqlite_2.9.22-6_amd64.deb
 5c2cf3d06562a114db663375a7d9d0e0622c3d24 61236 pdns-backend-sqlite3_2.9.22-6_amd64.deb
Checksums-Sha256: 
 cc908f7013f02d566f70cf2ea910971f4367d2158172b1636e19244ed6a24d25 1446 pdns_2.9.22-6.dsc
 1b04a187e2d7e5b6553c1bf87c889a05eedbf26079f4bff97c3ef8d4267b1475 37154 pdns_2.9.22-6.debian.tar.gz
 a868eddbeba86a6c919142099c1666d2e9b09458a469dde234b6dd3f7576e59f 192644 pdns-doc_2.9.22-6_all.deb
 9fe9349c18d606c87cc3cfdd838d6702067b42728ad871d46e05c5c97f4ce3ed 803662 pdns-server_2.9.22-6_amd64.deb
 048e958fa1914ed0de9744314689c8a1ea3ab76179550728cbf27c6f9a5e2ba1 81648 pdns-backend-pipe_2.9.22-6_amd64.deb
 52a4a21374596a77cb047f5691ae75185415b96c833456c50edcd6892d353af9 282708 pdns-backend-ldap_2.9.22-6_amd64.deb
 acf92ad19cd043a446feacb239d2dd0458cdd278a03ffd25db54d78660bbf3b7 103714 pdns-backend-geo_2.9.22-6_amd64.deb
 ca0a02790b125271d30a42f74d00b561fadf9d13df524ee0edca591f8722d83f 63874 pdns-backend-mysql_2.9.22-6_amd64.deb
 66bde02be905dc96af4d2a303ac1236c4f0fa03289ed63afa1a70335c4bec1b8 66726 pdns-backend-pgsql_2.9.22-6_amd64.deb
 b026d2e84190905a75562e36cd03cfa1c3c36d123530d34e7d390e877eb2edc2 61320 pdns-backend-sqlite_2.9.22-6_amd64.deb
 eead3438b2da95b39ac11b54f35a618e8567aee246fcb0187402ed93eb9f83c3 61236 pdns-backend-sqlite3_2.9.22-6_amd64.deb
Files: 
 b7f3308c40469e731d23809f842a6d40 1446 net extra pdns_2.9.22-6.dsc
 83329f83e18da715b4243fc874c3054d 37154 net extra pdns_2.9.22-6.debian.tar.gz
 d6a0710795e9abd9791a49cc3d03ea09 192644 doc extra pdns-doc_2.9.22-6_all.deb
 01d3dd1f0eb30c6b9152a1607e1232da 803662 net extra pdns-server_2.9.22-6_amd64.deb
 4d1ae24103bfc4c724e61472f3d88dcd 81648 net extra pdns-backend-pipe_2.9.22-6_amd64.deb
 6a371eccdebf9bbff9a9ad3651f8e9b0 282708 net extra pdns-backend-ldap_2.9.22-6_amd64.deb
 1f7af56933a45a272dd32970ad2e67a7 103714 net extra pdns-backend-geo_2.9.22-6_amd64.deb
 9f94ef371d94807fdc0a53fb162c804b 63874 net extra pdns-backend-mysql_2.9.22-6_amd64.deb
 e3cde8a99e9ffff525215a519b9329c3 66726 net extra pdns-backend-pgsql_2.9.22-6_amd64.deb
 1524a91dd95e526cdb636f0dcfa16815 61320 net extra pdns-backend-sqlite_2.9.22-6_amd64.deb
 ca5b144b415103e1b91493ad400121d6 61236 net extra pdns-backend-sqlite3_2.9.22-6_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iEYEARECAAYFAkxC/UEACgkQ2n1ROIkXqbDTDgCfX9ft8vJ/Yo2uzgcJm79OyP1M
rDwAoK/ixVeaVx0pTCAzO8RPpP+5/+xl
=/KJ1
-----END PGP SIGNATURE-----





Information forwarded to debian-bugs-dist@lists.debian.org, Matthijs Mohlmann <matthijs@cacholong.nl>:
Bug#585966; Package pdns-server. (Sun, 25 Jul 2010 06:27:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Petter Reinholdtsen <pere@hungry.com>:
Extra info received and forwarded to list. Copy sent to Matthijs Mohlmann <matthijs@cacholong.nl>. (Sun, 25 Jul 2010 06:27:04 GMT) Full text and rfc822 format available.

Message #35 received at 585966@bugs.debian.org (full text, mbox):

From: Petter Reinholdtsen <pere@hungry.com>
To: 585966@bugs.debian.org
Subject: Re: pdns-server: init.d script should provide the virtual facility $named
Date: Sun, 25 Jul 2010 08:25:21 +0200
reopen 585966
found 585966 2.9.22-6
thanks

[Matthijs Mohlmann]
>  pdns (2.9.22-6) unstable; urgency=high
>  .
>    * Provide the virtual facility $named. (Closes: #585966)

This fix is wrong.  The file is stored in
/etc/insserv.conf.d/pdns-server/pdns-server.insserv, while it need to
be stored in /etc/insserv.conf.d/pdns-server.  The extra directory
level make insserv ignore the file.

Reopening the bug because of this.

Happy hacking,
-- 
Petter Reinholdtsen




Bug No longer marked as fixed in versions pdns/2.9.22-6 and reopened. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 25 Jul 2010 06:36:02 GMT) Full text and rfc822 format available.

Bug Marked as found in versions pdns/2.9.22-6. Request was from Petter Reinholdtsen <pere@hungry.com> to control@bugs.debian.org. (Sun, 25 Jul 2010 06:36:03 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Matthijs Mohlmann <matthijs@cacholong.nl>:
Bug#585966; Package pdns-server. (Mon, 02 Aug 2010 06:30:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Petter Reinholdtsen <pere@hungry.com>:
Extra info received and forwarded to list. Copy sent to Matthijs Mohlmann <matthijs@cacholong.nl>. (Mon, 02 Aug 2010 06:30:03 GMT) Full text and rfc822 format available.

Message #44 received at 585966@bugs.debian.org (full text, mbox):

From: Petter Reinholdtsen <pere@hungry.com>
To: 585966@bugs.debian.org
Subject: Re: pdns-server: init.d script should provide the virtual facility $named
Date: Mon, 2 Aug 2010 08:26:51 +0200
[Petter Reinholdtsen]
> This fix is wrong.  The file is stored in
> /etc/insserv.conf.d/pdns-server/pdns-server.insserv, while it need to
> be stored in /etc/insserv.conf.d/pdns-server.  The extra directory
> level make insserv ignore the file.
> 
> Reopening the bug because of this.

It just occured to me, that for pdns to work as $named (ie doing any
DNS lookup), the recursor should be running too.  To ensure this, the
insserv.conf.d/ file should have this content:

  $named pdns +pdns-recursor

The + make the recursor a optional dependency, to make sure init.d
scripts do not fail to install if it is not installed.

Happy hacking,
-- 
Petter Reinholdtsen




Information forwarded to debian-bugs-dist@lists.debian.org, Matthijs Mohlmann <matthijs@cacholong.nl>:
Bug#585966; Package pdns-server. (Thu, 05 Aug 2010 23:09:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Serafeim Zanikolas <sez@debian.org>:
Extra info received and forwarded to list. Copy sent to Matthijs Mohlmann <matthijs@cacholong.nl>. (Thu, 05 Aug 2010 23:09:06 GMT) Full text and rfc822 format available.

Message #49 received at 585966@bugs.debian.org (full text, mbox):

From: Serafeim Zanikolas <sez@debian.org>
To: control@bugs.debian.org, Matthijs Mohlmann <matthijs@cacholong.nl>
Cc: 585966@bugs.debian.org
Subject: intent to NMU
Date: Fri, 6 Aug 2010 01:05:21 +0200
Dear maintainer,

I've prepared an NMU for pdns (versioned as 2.9.22-6.1) and uploaded it to
DELAYED/2. Please feel free to tell me if I should delay it longer.

Cheers,
Serafeim




Information forwarded to debian-bugs-dist@lists.debian.org, Matthijs Mohlmann <matthijs@cacholong.nl>:
Bug#585966; Package pdns-server. (Thu, 05 Aug 2010 23:12:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Serafeim Zanikolas <sez@debian.org>:
Extra info received and forwarded to list. Copy sent to Matthijs Mohlmann <matthijs@cacholong.nl>. (Thu, 05 Aug 2010 23:12:03 GMT) Full text and rfc822 format available.

Message #54 received at 585966@bugs.debian.org (full text, mbox):

From: Serafeim Zanikolas <sez@debian.org>
To: Matthijs Mohlmann <matthijs@cacholong.nl>
Cc: 585966@bugs.debian.org
Subject: Re: intent to NMU
Date: Fri, 6 Aug 2010 01:08:22 +0200
[Message part 1 (text/plain, inline)]
On Fri, Aug 06, 2010 at 01:05:21AM +0200, Serafeim Zanikolas wrote:
> I've prepared an NMU for pdns (versioned as 2.9.22-6.1) and uploaded it to
> DELAYED/2. Please feel free to tell me if I should delay it longer.

Forgot to attach the NMU patch.

-S
[nmu.diff (text/x-diff, attachment)]

Added tag(s) pending. Request was from Serafeim Zanikolas <sez@debian.org> to control@bugs.debian.org. (Thu, 05 Aug 2010 23:15:04 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#585966; Package pdns-server. (Fri, 06 Aug 2010 10:45:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Matthijs Mohlmann <matthijs@cacholong.nl>:
Extra info received and forwarded to list. (Fri, 06 Aug 2010 10:45:03 GMT) Full text and rfc822 format available.

Message #61 received at 585966@bugs.debian.org (full text, mbox):

From: Matthijs Mohlmann <matthijs@cacholong.nl>
To: Serafeim Zanikolas <sez@debian.org>
Cc: 585966@bugs.debian.org
Subject: Re: intent to NMU
Date: Fri, 6 Aug 2010 12:41:55 +0200
Hi,

I just uploaded 2.9.22-7 with some more fixes.

Regards,

Matthijs Möhlmann

On Aug 6, 2010, at 1:08 AM, Serafeim Zanikolas wrote:

> On Fri, Aug 06, 2010 at 01:05:21AM +0200, Serafeim Zanikolas wrote:
>> I've prepared an NMU for pdns (versioned as 2.9.22-6.1) and uploaded it to
>> DELAYED/2. Please feel free to tell me if I should delay it longer.
> 
> Forgot to attach the NMU patch.
> 
> -S
> <nmu.diff>





Reply sent to Matthijs Mohlmann <matthijs@cacholong.nl>:
You have taken responsibility. (Fri, 06 Aug 2010 10:51:03 GMT) Full text and rfc822 format available.

Notification sent to Petter Reinholdtsen <pere@hungry.com>:
Bug acknowledged by developer. (Fri, 06 Aug 2010 10:51:03 GMT) Full text and rfc822 format available.

Message #66 received at 585966-close@bugs.debian.org (full text, mbox):

From: Matthijs Mohlmann <matthijs@cacholong.nl>
To: 585966-close@bugs.debian.org
Subject: Bug#585966: fixed in pdns 2.9.22-7
Date: Fri, 06 Aug 2010 10:47:13 +0000
Source: pdns
Source-Version: 2.9.22-7

We believe that the bug you reported is fixed in the latest version of
pdns, which is due to be installed in the Debian FTP archive:

pdns-backend-geo_2.9.22-7_amd64.deb
  to main/p/pdns/pdns-backend-geo_2.9.22-7_amd64.deb
pdns-backend-ldap_2.9.22-7_amd64.deb
  to main/p/pdns/pdns-backend-ldap_2.9.22-7_amd64.deb
pdns-backend-mysql_2.9.22-7_amd64.deb
  to main/p/pdns/pdns-backend-mysql_2.9.22-7_amd64.deb
pdns-backend-pgsql_2.9.22-7_amd64.deb
  to main/p/pdns/pdns-backend-pgsql_2.9.22-7_amd64.deb
pdns-backend-pipe_2.9.22-7_amd64.deb
  to main/p/pdns/pdns-backend-pipe_2.9.22-7_amd64.deb
pdns-backend-sqlite3_2.9.22-7_amd64.deb
  to main/p/pdns/pdns-backend-sqlite3_2.9.22-7_amd64.deb
pdns-backend-sqlite_2.9.22-7_amd64.deb
  to main/p/pdns/pdns-backend-sqlite_2.9.22-7_amd64.deb
pdns-doc_2.9.22-7_all.deb
  to main/p/pdns/pdns-doc_2.9.22-7_all.deb
pdns-server_2.9.22-7_amd64.deb
  to main/p/pdns/pdns-server_2.9.22-7_amd64.deb
pdns_2.9.22-7.debian.tar.gz
  to main/p/pdns/pdns_2.9.22-7.debian.tar.gz
pdns_2.9.22-7.dsc
  to main/p/pdns/pdns_2.9.22-7.dsc



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 585966@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Matthijs Mohlmann <matthijs@cacholong.nl> (supplier of updated pdns package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Tue, 03 Aug 2010 18:25:28 +0200
Source: pdns
Binary: pdns-server pdns-doc pdns-backend-pipe pdns-backend-ldap pdns-backend-geo pdns-backend-mysql pdns-backend-pgsql pdns-backend-sqlite pdns-backend-sqlite3
Architecture: source all amd64
Version: 2.9.22-7
Distribution: unstable
Urgency: low
Maintainer: Matthijs Mohlmann <matthijs@cacholong.nl>
Changed-By: Matthijs Mohlmann <matthijs@cacholong.nl>
Description: 
 pdns-backend-geo - geo backend for PowerDNS
 pdns-backend-ldap - LDAP backend for PowerDNS
 pdns-backend-mysql - generic MySQL backend for PowerDNS
 pdns-backend-pgsql - generic PostgreSQL backend for PowerDNS
 pdns-backend-pipe - pipe/coprocess backend for PowerDNS
 pdns-backend-sqlite - sqlite backend for PowerDNS
 pdns-backend-sqlite3 - sqlite backend for PowerDNS
 pdns-doc   - PowerDNS manual
 pdns-server - extremely powerful and versatile nameserver
Closes: 585966 589606
Changes: 
 pdns (2.9.22-7) unstable; urgency=low
 .
   * Provide the file now in the correct location. (Closes: #585966)
   * Update Standards-Version to 3.9.1
   * Add new dnsdomain2.schema for LDAP (Closes: #589606)
Checksums-Sha1: 
 efaa8ec5607ecdec61211ea5f80ade13fecf44df 1446 pdns_2.9.22-7.dsc
 07b578a1246b5e46bebd54d1d0f7c3dee1a0aee0 38780 pdns_2.9.22-7.debian.tar.gz
 bd5992106c44252adeebf088b74fd9d0a044adce 192706 pdns-doc_2.9.22-7_all.deb
 0e2cb44654f6967a046217e59ab115c4a0490c71 803644 pdns-server_2.9.22-7_amd64.deb
 34f289e00cdb344010918dbdb838152dba09464e 81756 pdns-backend-pipe_2.9.22-7_amd64.deb
 d330e2323b7e7a8bc50972ffb6f001c4f5021baa 283266 pdns-backend-ldap_2.9.22-7_amd64.deb
 e4450106c7298f29d74b1c2e1a980cfbf3322164 103824 pdns-backend-geo_2.9.22-7_amd64.deb
 4246ff8e40ee932cd932f43a6c1795f1853d24fa 63976 pdns-backend-mysql_2.9.22-7_amd64.deb
 7dd5667d5f02419cc0be60461113ca1619a1fc33 66838 pdns-backend-pgsql_2.9.22-7_amd64.deb
 fc738151e6fc307c2731ff8a5350dc3031aa6543 61408 pdns-backend-sqlite_2.9.22-7_amd64.deb
 f1cde38ed8ba6af1de9fb8f1dabdea17dd4482a9 61338 pdns-backend-sqlite3_2.9.22-7_amd64.deb
Checksums-Sha256: 
 33e31e081c30011adbd34a3b076ac8bca252a9fe17ea4aa37367ed60035a46f2 1446 pdns_2.9.22-7.dsc
 12bae5e44d289eb2690aac4918d254a011ca7e24a8b4ebe0ee7370eeacffd4be 38780 pdns_2.9.22-7.debian.tar.gz
 25e392dd30a219acb8d220d7d934b7ec8048effa971fc03541fccbc7738c1236 192706 pdns-doc_2.9.22-7_all.deb
 619bfbbd7c35199cc735c7ef14af019a195854d05feb458031a697b319d88d61 803644 pdns-server_2.9.22-7_amd64.deb
 72aa75b000a1a44bd40a39ac8832a14bc13722b126cf6b47d2c7fd3c74a737a7 81756 pdns-backend-pipe_2.9.22-7_amd64.deb
 056ee06cf8ac8d52a6ce989d0068f45cf716344aebd9343d7924ce77a582a92f 283266 pdns-backend-ldap_2.9.22-7_amd64.deb
 01fdbb50c08e37b1cb5f208fa73d16c96960a607bd2e4402720dfffebd1fbe57 103824 pdns-backend-geo_2.9.22-7_amd64.deb
 3006682ba8f75980fc273c292c2ef0b7ed7fec16e4ca6e2a9608630028f5d185 63976 pdns-backend-mysql_2.9.22-7_amd64.deb
 9d414639e55377ba49060487d73e313eb50405401479aae7357ec18d6abf382a 66838 pdns-backend-pgsql_2.9.22-7_amd64.deb
 15d5e4430f024d6d13bcf22759ac39ec706f9e95395f974b468c0afddc0414e2 61408 pdns-backend-sqlite_2.9.22-7_amd64.deb
 93510df9a4db3783ac3b9ee8682792daf6327b3eba4b88be22eef202aaac6731 61338 pdns-backend-sqlite3_2.9.22-7_amd64.deb
Files: 
 c3065a9af53d53610e9f818ced7e9de4 1446 net extra pdns_2.9.22-7.dsc
 341b9bfda4461054a7b8ed7cdfbba82f 38780 net extra pdns_2.9.22-7.debian.tar.gz
 9ec2ec5755b2bd10e6583b2b7c772428 192706 doc extra pdns-doc_2.9.22-7_all.deb
 24847ed2834e7495de728b8f14ca70ce 803644 net extra pdns-server_2.9.22-7_amd64.deb
 66a43f3c825b90b146abcf40ad1a9c47 81756 net extra pdns-backend-pipe_2.9.22-7_amd64.deb
 9932e9a060691061ba82cfaae6aee589 283266 net extra pdns-backend-ldap_2.9.22-7_amd64.deb
 75be097a7e73a4212c9670512c71e404 103824 net extra pdns-backend-geo_2.9.22-7_amd64.deb
 9cb8f620d35d9fa920532bddd2f05437 63976 net extra pdns-backend-mysql_2.9.22-7_amd64.deb
 9e990c6dadeea96f7b49e775f2d993ec 66838 net extra pdns-backend-pgsql_2.9.22-7_amd64.deb
 bbd3a11299b9d93abdf5818cd9a4e5b7 61408 net extra pdns-backend-sqlite_2.9.22-7_amd64.deb
 83831416d64ba28e6ccbc054ff1a2a8a 61338 net extra pdns-backend-sqlite3_2.9.22-7_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iEYEARECAAYFAkxb5MgACgkQ2n1ROIkXqbD+KwCePM60IIFo1RcaXuae12bbMEJ1
BKYAniQk3Aitau11747xDWlqSJXKenMt
=NGMg
-----END PGP SIGNATURE-----





Information forwarded to debian-bugs-dist@lists.debian.org, Matthijs Mohlmann <matthijs@cacholong.nl>:
Bug#585966; Package pdns-server. (Fri, 06 Aug 2010 11:51:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Serafeim Zanikolas <sez@debian.org>:
Extra info received and forwarded to list. Copy sent to Matthijs Mohlmann <matthijs@cacholong.nl>. (Fri, 06 Aug 2010 11:51:04 GMT) Full text and rfc822 format available.

Message #71 received at 585966@bugs.debian.org (full text, mbox):

From: Serafeim Zanikolas <sez@debian.org>
To: Matthijs Mohlmann <matthijs@cacholong.nl>
Cc: 585966@bugs.debian.org
Subject: Re: intent to NMU
Date: Fri, 6 Aug 2010 13:48:32 +0200
On Fri, Aug 06, 2010 at 12:41:55PM +0200, Matthijs Mohlmann wrote [edited]:
> I just uploaded 2.9.22-7 with some more fixes.

Cool.




Information forwarded to debian-bugs-dist@lists.debian.org, Matthijs Mohlmann <matthijs@cacholong.nl>:
Bug#585966; Package pdns-server. (Sun, 29 Aug 2010 15:57:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Juha Heinanen <jh@tutpro.com>:
Extra info received and forwarded to list. Copy sent to Matthijs Mohlmann <matthijs@cacholong.nl>. (Sun, 29 Aug 2010 15:57:04 GMT) Full text and rfc822 format available.

Message #76 received at 585966@bugs.debian.org (full text, mbox):

From: Juha Heinanen <jh@tutpro.com>
To: 585966@bugs.debian.org
Subject: installation of pdns-server 2.9.22-7 fails on squeeze
Date: Sun, 29 Aug 2010 18:46:27 +0300
I tried to install pdns-server 2.9.22-7 with pdns-backend-mysql on
Squeeze, but it still failed like shown below.

-- Juha

-----------------------------------------------------------------------------

# apt-get install pdns-server pdns-backend-mysql 
Reading package lists... Done
Building dependency tree       
Reading state information... Done
Suggested packages:
  pdns-backend pdns-recursor
The following NEW packages will be installed:
  pdns-backend-mysql pdns-server
0 upgraded, 2 newly installed, 0 to remove and 0 not upgraded.
Need to get 0B/854kB of archives.
After this operation, 2,191kB of additional disk space will be used.
Preconfiguring packages ...
Selecting previously deselected package pdns-server.
(Reading database ... 27053 files and directories currently installed.)
Unpacking pdns-server (from .../pdns-server_2.9.22-7_i386.deb) ...
Selecting previously deselected package pdns-backend-mysql.
Unpacking pdns-backend-mysql (from .../pdns-backend-mysql_2.9.22-7_i386.deb) ...
Processing triggers for man-db ...
Setting up pdns-server (2.9.22-7) ...

Creating config file /etc/powerdns/pdns.conf with new version

Creating config file /etc/default/pdns with new version

Creating config file /etc/powerdns/pdns.d/pdns.local with new version
insserv: There is a loop between service mysql and pdns if started
insserv:  loop involving service pdns at depth 10
insserv:  loop involving service mysql at depth 9
insserv:  loop involving service rsyslog at depth 8
insserv:  loop involving service postfix at depth 13
insserv: There is a loop between service pdns and mysql if stopped
insserv:  loop involving service mysql at depth 3
insserv:  loop involving service pdns at depth 2
insserv:  loop involving service postfix at depth 1
insserv:  loop involving service sendsigs at depth 5
insserv: exiting now without changing boot order!
update-rc.d: error: insserv rejected the script header
Setting up pdns-backend-mysql (2.9.22-7) ...
Processing triggers for pdns-server ...
Restarting PowerDNS authoritative nameserver: stopping and waiting..done
started








Information forwarded to debian-bugs-dist@lists.debian.org, Matthijs Mohlmann <matthijs@cacholong.nl>:
Bug#585966; Package pdns-server. (Sun, 29 Aug 2010 18:15:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Matthijs Möhlmann <matthijs@cacholong.nl>:
Extra info received and forwarded to list. Copy sent to Matthijs Mohlmann <matthijs@cacholong.nl>. (Sun, 29 Aug 2010 18:15:03 GMT) Full text and rfc822 format available.

Message #81 received at 585966@bugs.debian.org (full text, mbox):

From: Matthijs Möhlmann <matthijs@cacholong.nl>
To: Juha Heinanen <jh@tutpro.com>, 585966@bugs.debian.org
Cc: Petter Reinholdtsen <pere@hungry.com>, 594805@bugs.debian.org
Subject: Re: Bug#585966: installation of pdns-server 2.9.22-7 fails on squeeze
Date: Sun, 29 Aug 2010 20:10:32 +0200
On 08/29/2010 05:46 PM, Juha Heinanen wrote:
> I tried to install pdns-server 2.9.22-7 with pdns-backend-mysql on
> Squeeze, but it still failed like shown below.
> 
> -- Juha
> 
> -----------------------------------------------------------------------------
> 
> # apt-get install pdns-server pdns-backend-mysql 
> Reading package lists... Done
> Building dependency tree       
> Reading state information... Done
> Suggested packages:
>   pdns-backend pdns-recursor
> The following NEW packages will be installed:
>   pdns-backend-mysql pdns-server
> 0 upgraded, 2 newly installed, 0 to remove and 0 not upgraded.
> Need to get 0B/854kB of archives.
> After this operation, 2,191kB of additional disk space will be used.
> Preconfiguring packages ...
> Selecting previously deselected package pdns-server.
> (Reading database ... 27053 files and directories currently installed.)
> Unpacking pdns-server (from .../pdns-server_2.9.22-7_i386.deb) ...
> Selecting previously deselected package pdns-backend-mysql.
> Unpacking pdns-backend-mysql (from .../pdns-backend-mysql_2.9.22-7_i386.deb) ...
> Processing triggers for man-db ...
> Setting up pdns-server (2.9.22-7) ...
> 
> Creating config file /etc/powerdns/pdns.conf with new version
> 
> Creating config file /etc/default/pdns with new version
> 
> Creating config file /etc/powerdns/pdns.d/pdns.local with new version
> insserv: There is a loop between service mysql and pdns if started
> insserv:  loop involving service pdns at depth 10
> insserv:  loop involving service mysql at depth 9
> insserv:  loop involving service rsyslog at depth 8
> insserv:  loop involving service postfix at depth 13
> insserv: There is a loop between service pdns and mysql if stopped
> insserv:  loop involving service mysql at depth 3
> insserv:  loop involving service pdns at depth 2
> insserv:  loop involving service postfix at depth 1
> insserv:  loop involving service sendsigs at depth 5
> insserv: exiting now without changing boot order!
> update-rc.d: error: insserv rejected the script header
> Setting up pdns-backend-mysql (2.9.22-7) ...
> Processing triggers for pdns-server ...
> Restarting PowerDNS authoritative nameserver: stopping and waiting..done
> started

Hi,

Thanks for reporting.

Petter: Can you check what's going on with insserv ?
Same bug is filed on pdns-recursor.

Thanks in advance.

Regards,

Matthijs Mohlmann




Information forwarded to debian-bugs-dist@lists.debian.org, Matthijs Mohlmann <matthijs@cacholong.nl>:
Bug#585966; Package pdns-server. (Sun, 29 Aug 2010 18:24:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Petter Reinholdtsen <pere@hungry.com>:
Extra info received and forwarded to list. Copy sent to Matthijs Mohlmann <matthijs@cacholong.nl>. (Sun, 29 Aug 2010 18:24:03 GMT) Full text and rfc822 format available.

Message #86 received at 585966@bugs.debian.org (full text, mbox):

From: Petter Reinholdtsen <pere@hungry.com>
To: Matthijs Möhlmann <matthijs@cacholong.nl>
Cc: Juha Heinanen <jh@tutpro.com>, 585966@bugs.debian.org, 594805@bugs.debian.org
Subject: Re: Bug#585966: installation of pdns-server 2.9.22-7 fails on squeeze
Date: Sun, 29 Aug 2010 20:20:43 +0200
[Matthijs Möhlmann]
>> Creating config file /etc/powerdns/pdns.d/pdns.local with new version
>> insserv: There is a loop between service mysql and pdns if started
>> insserv:  loop involving service pdns at depth 10
>> insserv:  loop involving service mysql at depth 9
>> insserv:  loop involving service rsyslog at depth 8
>> insserv:  loop involving service postfix at depth 13
>> insserv: There is a loop between service pdns and mysql if stopped
>> insserv:  loop involving service mysql at depth 3
>> insserv:  loop involving service pdns at depth 2
>> insserv:  loop involving service postfix at depth 1
>> insserv:  loop involving service sendsigs at depth 5
>> insserv: exiting now without changing boot order!
>> update-rc.d: error: insserv rejected the script header

> Petter: Can you check what's going on with insserv ?
> Same bug is filed on pdns-recursor.

Well, I would assume that insserv is working as it should and that
some scripts have impossible ordering specification.  Do not know the
cause without more information, but checked the check I run every day
to check if the archive is consistent and test-20100829.log claim no
dependency loop is present.

I would suspect some obsolete init.d script causing problems, probably
one of the ones listed in the error above (mysql, postfix, pdns).  The
sendsigs one is probably caused by relationships to $remote_fs.

Asking the bug reporter to provide the output from
/usr/share/insserv/make-testsuite and
'/usr/share/insserv/check-initd-order -g' is probably a good idea to
gather ideas on what is wrong.

Happy hacking,
-- 
Petter Reinholdtsen




Information forwarded to debian-bugs-dist@lists.debian.org, Matthijs Mohlmann <matthijs@cacholong.nl>:
Bug#585966; Package pdns-server. (Sun, 29 Aug 2010 20:06:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Petter Reinholdtsen <pere@hungry.com>:
Extra info received and forwarded to list. Copy sent to Matthijs Mohlmann <matthijs@cacholong.nl>. (Sun, 29 Aug 2010 20:06:03 GMT) Full text and rfc822 format available.

Message #91 received at 585966@bugs.debian.org (full text, mbox):

From: Petter Reinholdtsen <pere@hungry.com>
To: Juha Heinanen <jh@tutpro.com>
Cc: Matthijs MXhlmann <matthijs@cacholong.nl>, 585966@bugs.debian.org, 594805@bugs.debian.org
Subject: Re: Bug#585966: installation of pdns-server 2.9.22-7 fails on squeeze
Date: Sun, 29 Aug 2010 22:04:12 +0200
[Juha Heinanen]
> i removed postfix and a punch of other packages including pdns
> packages. then tried to install pdns-server again, but without
> pdns-backend-mysql.

One need to purge packages to get rid of their init.d scripts, as
these files are conffiles.

> then i got the errors below.  looks like the target packages
> involved in the loop are shifting to something else suggesting that
> the problem is with pdns-server package itself.

Missing the output from the two commands I sent earlier to have any
idea what is causing this.

Happy hacking,
-- 
Petter Reinholdtsen




Information forwarded to debian-bugs-dist@lists.debian.org, Matthijs Mohlmann <matthijs@cacholong.nl>:
Bug#585966; Package pdns-server. (Mon, 30 Aug 2010 19:57:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Juha Heinanen <jh@tutpro.com>:
Extra info received and forwarded to list. Copy sent to Matthijs Mohlmann <matthijs@cacholong.nl>. (Mon, 30 Aug 2010 19:57:02 GMT) Full text and rfc822 format available.

Message #96 received at 585966@bugs.debian.org (full text, mbox):

From: Juha Heinanen <jh@tutpro.com>
To: Petter Reinholdtsen <pere@hungry.com>
Cc: Matthijs MXhlmann <matthijs@cacholong.nl>, 585966@bugs.debian.org, 594805@bugs.debian.org
Subject: Re: Bug#585966: installation of pdns-server 2.9.22-7 fails on squeeze
Date: Mon, 30 Aug 2010 22:54:50 +0300
Petter Reinholdtsen writes:

> Missing the output from the two commands I sent earlier to have any
> idea what is causing this.

petter,

i started from scratch and installed debian squeeze from daily netinst
cd image for i386 arch.  at the end of the installation process i only
chose "SSH Server" and "Standard system utilities".

after reboot, i installed mysql-server-5.1 and python-mysqldb packages,
which went fine.

after that i installed pdns-backend-mysql, pdns-recursor, and
pdns-server, which resulted in insserv loop as shown below.  then i
executed '/usr/share/insserv/make-testsuite' with output also shown below.
finally, i executed '/usr/share/insserv/check-initd-order -g' output of
which is the last thing shown below.

hope this info is enough to reproduce and fix the problem.

-- juha

-------------------------- apt-get output

root@node1:~# apt-get install pdns-backend-mysql pdns-recursor pdns-server
Reading package lists... Done
Building dependency tree       
Reading state information... Done
The following extra packages will be installed:
  liblua5.1-0 pdns-doc
Suggested packages:
  pdns-backend
The following NEW packages will be installed:
  liblua5.1-0 pdns-backend-mysql pdns-doc pdns-recursor pdns-server
0 upgraded, 5 newly installed, 0 to remove and 0 not upgraded.
Need to get 1,676kB of archives.
After this operation, 4,694kB of additional disk space will be used.
Do you want to continue [Y/n]? 
Get:1 http://ftp.fi.debian.org squeeze/main liblua5.1-0 5.1.4-5 [81.1kB]
Get:2 http://ftp.fi.debian.org squeeze/main pdns-server 2.9.22-7 [792kB]
Get:3 http://ftp.fi.debian.org squeeze/main pdns-backend-mysql 2.9.22-7 [62.6kB]
Get:4 http://ftp.fi.debian.org squeeze/main pdns-doc 2.9.22-7 [193kB]          
Get:5 http://ftp.fi.debian.org squeeze/main pdns-recursor 3.2-4 [548kB]        
Fetched 1,676kB in 12s (136kB/s)                                               
Preconfiguring packages ...
Selecting previously deselected package liblua5.1-0.
(Reading database ... 23478 files and directories currently installed.)
Unpacking liblua5.1-0 (from .../liblua5.1-0_5.1.4-5_i386.deb) ...
Selecting previously deselected package pdns-server.
Unpacking pdns-server (from .../pdns-server_2.9.22-7_i386.deb) ...
Selecting previously deselected package pdns-backend-mysql.
Unpacking pdns-backend-mysql (from .../pdns-backend-mysql_2.9.22-7_i386.deb) ...
Selecting previously deselected package pdns-doc.
Unpacking pdns-doc (from .../pdns-doc_2.9.22-7_all.deb) ...
Selecting previously deselected package pdns-recursor.
Unpacking pdns-recursor (from .../pdns-recursor_3.2-4_i386.deb) ...
Processing triggers for man-db ...
Setting up liblua5.1-0 (5.1.4-5) ...
Setting up pdns-server (2.9.22-7) ...

Creating config file /etc/powerdns/pdns.conf with new version

Creating config file /etc/default/pdns with new version

Creating config file /etc/powerdns/pdns.d/pdns.local with new version
insserv: There is a loop between service mysql and pdns if started
insserv:  loop involving service pdns at depth 8
insserv:  loop involving service mysql at depth 7
insserv:  loop involving service mountnfs at depth 5
insserv:  loop involving service exim4 at depth 11
insserv:  loop involving service rsyslog at depth 10
insserv: There is a loop between service pdns and mysql if stopped
insserv:  loop involving service mysql at depth 3
insserv:  loop involving service pdns at depth 2
insserv:  loop involving service exim4 at depth 1
insserv:  loop involving service sendsigs at depth 5
insserv: exiting now without changing boot order!
update-rc.d: error: insserv rejected the script header
Setting up pdns-backend-mysql (2.9.22-7) ...
Setting up pdns-doc (2.9.22-7) ...
Setting up pdns-recursor (3.2-4) ...
insserv: There is a loop between service mysql and pdns if started
insserv:  loop involving service pdns at depth 8
insserv:  loop involving service mysql at depth 7
insserv:  loop involving service mountnfs at depth 5
insserv:  loop involving service exim4 at depth 11
insserv:  loop involving service rsyslog at depth 10
insserv: There is a loop between service pdns and mysql if stopped
insserv:  loop involving service mysql at depth 3
insserv:  loop involving service pdns at depth 2
insserv:  loop involving service exim4 at depth 1
insserv:  loop involving service pdns-recursor at depth 16
insserv:  loop involving service sendsigs at depth 5
insserv: exiting now without changing boot order!
update-rc.d: error: insserv rejected the script header
dpkg: error processing pdns-recursor (--configure):
 subprocess installed post-installation script returned error exit status 1
Processing triggers for pdns-server ...
Restarting PowerDNS authoritative nameserver: stopping and waiting..done
started
Errors were encountered while processing:
 pdns-recursor
E: Sub-process /usr/bin/dpkg returned an error code (1)

------------------------- make-testsuite output

root@node1:~# /usr/share/insserv/make-testsuite 
set +C
cat <<'EOF' > $insconf
$local_fs	+mountall +mountoverflowtmp +umountfs
$network	+networking +ifupdown
$named		+named +dnsmasq +lwresd +bind9 $network
$remote_fs	$local_fs +mountnfs +mountnfs-bootclean +umountnfs +sendsigs
$syslog		+rsyslog +sysklogd +syslog-ng +dsyslog +inetutils-syslogd
$portmap	portmap
$time		+hwclock
<interactive>	glibc udev console-screen keymap keyboard-setup console-setup cryptdisks cryptdisks-early checkfs-loop
EOF
set -C

addscript acpid <<'EOF'
### BEGIN INIT INFO
# Provides:          acpid
# Required-Start:    $remote_fs $syslog
# Required-Stop:     $remote_fs $syslog
# X-Start-Before:    kdm gdm xdm hal
# X-Stop-After:      kdm gdm xdm hal
# Default-Start:     2 3 4 5
# Default-Stop:      
# Short-Description: Start the Advanced Configuration and Power Interface daemon
# Description:       Provide a socket for X11, hald and others to multiplex
#                    kernel ACPI events.
### END INIT INFO
EOF

addscript atd <<'EOF'
### BEGIN INIT INFO
# Provides:          atd
# Required-Start:    $syslog $time $remote_fs
# Required-Stop:     $syslog $time $remote_fs
# Default-Start:     2 3 4 5
# Default-Stop:      0 1 6
# Short-Description: Deferred execution scheduler
# Description:       Debian init script for the atd deferred executions
#                    scheduler
### END INIT INFO
EOF

addscript bootlogd <<'EOF'
### BEGIN INIT INFO
# Provides:          bootlogd
# Required-Start:    mountdevsubfs
# X-Start-Before:    hostname keymap keyboard-setup procps pcmcia hwclock hwclockfirst hdparm hibernate-cleanup lvm2
# Required-Stop:
# Default-Start:     S
# Default-Stop:
# Short-Description: Start or stop bootlogd.
# Description:       Starts or stops the bootlogd log program
#                    which logs boot messages.
### END INIT INFO
EOF

addscript bootlogs <<'EOF'
### BEGIN INIT INFO
# Provides:          bootlogs
# Required-Start:    hostname $local_fs
# Required-Stop:
# Should-Start:      $x-display-manager gdm kdm xdm ldm sdm wdm nodm
# Default-Start:     1 2 3 4 5
# Default-Stop:
# Short-Description: Log file handling to be done during bootup.
# Description:       Various things that don't need to be done particularly
#                    early in the boot, just before getty is run.
### END INIT INFO
EOF

addscript bootmisc.sh <<'EOF'
### BEGIN INIT INFO
# Provides:          bootmisc
# Required-Start:    $remote_fs
# Required-Stop:
# Should-Start:      udev
# Default-Start:     S
# Default-Stop:
# Short-Description: Miscellaneous things to be done during bootup.
# Description:       Some cleanup.  Note, it need to run after mountnfs-bootclean.sh.
### END INIT INFO
EOF

addscript checkfs.sh <<'EOF'
### BEGIN INIT INFO
# Provides:          checkfs
# Required-Start:    checkroot
# Required-Stop:
# Should-Start:      mtab
# Default-Start:     S
# Default-Stop:
# X-Interactive:     true
# Short-Description: Check all filesystems.
### END INIT INFO
EOF

addscript checkroot.sh <<'EOF'
### BEGIN INIT INFO
# Provides:          checkroot
# Required-Start:    mountdevsubfs hostname
# Required-Stop:     
# Should-Start:      keymap hwclockfirst hdparm bootlogd
# Should-stop:
# Default-Start:     S
# Default-Stop:
# X-Interactive:     true
# Short-Description: Check to root file system.
### END INIT INFO
EOF

addscript console-setup <<'EOF'
### BEGIN INIT INFO
# Provides:          console-setup
# Required-Start:    $remote_fs
# Required-Stop:
# Should-Start:      console-screen kbd
# Default-Start:     S
# Default-Stop:
# X-Interactive:     true
# Short-Description: Set console font and keymap
### END INIT INFO
EOF

addscript cron <<'EOF'
### BEGIN INIT INFO
# Provides:          cron
# Required-Start:    $remote_fs $syslog $time
# Required-Stop:     $remote_fs $syslog $time
# Should-Start:      slapd autofs ypbind nscd
# Should-Stop:       slapd autofs ypbind nscd
# Default-Start:     2 3 4 5
# Default-Stop:
# Short-Description: Regular background program processing daemon
# Description:       cron is a standard UNIX program that runs user-specified 
#                    programs at periodic scheduled times. vixie cron adds a 
#                    number of features to the basic UNIX cron, including better
#                    security and more powerful configuration options.
### END INIT INFO
EOF

addscript exim4 <<'EOF'
### BEGIN INIT INFO
# Provides:          exim4
# Required-Start:    $remote_fs $syslog $named $network $time
# Required-Stop:     $remote_fs $syslog $named $network
# Should-Start:      postgresql mysql clamav-daemon greylist spamassassin
# Should-Stop:       postgresql mysql clamav-daemon greylist spamassassin
# Default-Start:     2 3 4 5
# Default-Stop:      0 1 6
# Short-Description: exim Mail Transport Agent
# Description:       exim is a Mail Transport agent
### END INIT INFO
EOF

addscript halt <<'EOF'
### BEGIN INIT INFO
# Provides:          halt
# Required-Start:
# Required-Stop:
# Default-Start:
# Default-Stop:      0
# Short-Description: Execute the halt command.
# Description:
### END INIT INFO
EOF

addscript hostname.sh <<'EOF'
### BEGIN INIT INFO
# Provides:          hostname
# Required-Start:
# Required-Stop:
# Should-Start:      glibc
# Default-Start:     S
# Default-Stop:
# Short-Description: Set hostname based on /etc/hostname
# Description:       Read the machines hostname from /etc/hostname, and
#                    update the kernel value with this value.  If
#                    /etc/hostname is empty, the current kernel value
#                    for hostname is used.  If the kernel value is
#                    empty, the value 'localhost' is used.
### END INIT INFO
EOF

addscript hwclock.sh <<'EOF'
### BEGIN INIT INFO
# Provides:          hwclock
# Required-Start:    checkroot
# Required-Stop:     $local_fs
# Default-Start:     S
# Default-Stop:      0 6
### END INIT INFO
EOF

addscript hwclockfirst.sh <<'EOF'
### BEGIN INIT INFO
# Provides:          hwclockfirst
# Required-Start:    mountdevsubfs
# Required-Stop:
# Default-Start:     S
# X-Start-Before:    checkroot
# Default-Stop:
### END INIT INFO
EOF

addscript ifupdown <<'EOF'
### BEGIN INIT INFO
# Provides:          ifupdown
# Required-Start:    ifupdown-clean
# Required-Stop:     $local_fs
# Default-Start:     S
# Default-Stop:      0 6
# Short-Description: Prepare the system for taking up interfaces.
### END INIT INFO
EOF

addscript ifupdown-clean <<'EOF'
### BEGIN INIT INFO
# Provides:          ifupdown-clean
# Required-Start:    checkroot
# Required-Stop:     
# Default-Start:     S
# Default-Stop:
# Short-Description: Clean old interface status info during boot.
### END INIT INFO
EOF

addscript kbd <<'EOF'
### BEGIN INIT INFO
# Provides:          kbd
# Required-Start:    $remote_fs
# Required-Stop:
# Default-Start:     S
# Default-Stop:
# X-Interactive:     true
# Description: Set console screen modes and fonts
# Short-Description:    Prepare console
### END INIT INFO
EOF

addscript keyboard-setup <<'EOF'
### BEGIN INIT INFO
# Provides:          keyboard-setup
# Required-Start:    mountkernfs
# Required-Stop:
# Should-Start:      keymap udev
# X-Start-Before:    checkroot
# Default-Start:     S
# Default-Stop:
# X-Interactive:     true
# Short-Description: Set preliminary keymap
# Description:       Set the console keyboard as early as possible
#                    so during the file systems checks the administrator
#                    can interact.  At this stage of the boot process
#                    only the ASCII symbols are supported.
### END INIT INFO
EOF

addscript killprocs <<'EOF'
### BEGIN INIT INFO
# Provides:          killprocs
# Required-Start:    $local_fs
# Required-Stop:
# Default-Start:     1
# Default-Stop:
# Short-Description: executed by init(8) upon entering runlevel 1 (single).
### END INIT INFO
EOF

addscript module-init-tools <<'EOF'
### BEGIN INIT INFO
# Provides:          module-init-tools
# Required-Start:    
# Required-Stop:     
# Should-Start:      checkroot
# Should-Stop:
# Default-Start:     S
# Default-Stop:
# Short-Description: Process /etc/modules.
# Description:       Load the modules listed in /etc/modules.
### END INIT INFO
EOF

addscript mountall-bootclean.sh <<'EOF'
### BEGIN INIT INFO
# Provides:          mountall-bootclean
# Required-Start:    mountall
# Required-Stop:
# Default-Start:     S
# Default-Stop:
# Short-Description: bootclean after mountall.
# Description:       Clean temporary filesystems after
#                    all local filesystems have been mounted.
### END INIT INFO
EOF

addscript mountall.sh <<'EOF'
### BEGIN INIT INFO
# Provides:          mountall
# Required-Start:    checkfs
# Required-Stop: 
# Default-Start:     S
# Default-Stop:
# Short-Description: Mount all filesystems.
# Description:
### END INIT INFO
EOF

addscript mountdevsubfs.sh <<'EOF'
### BEGIN INIT INFO
# Provides:          mountdevsubfs
# Required-Start:    mountkernfs
# Required-Stop:
# Should-Start:      udev
# Default-Start:     S
# Default-Stop:
# Short-Description: Mount special file systems under /dev.
# Description:       Mount the virtual filesystems the kernel provides
#                    that ordinarily live under the /dev filesystem.
### END INIT INFO
EOF

addscript mountkernfs.sh <<'EOF'
### BEGIN INIT INFO
# Provides:          mountkernfs
# Required-Start:
# Required-Stop:
# Should-Start:      glibc
# Default-Start:     S
# Default-Stop:
# Short-Description: Mount kernel virtual file systems.
# Description:       Mount initial set of virtual filesystems the kernel
#                    provides and that are required by everything.
### END INIT INFO
EOF

addscript mountnfs-bootclean.sh <<'EOF'
### BEGIN INIT INFO
# Provides:          mountnfs-bootclean
# Required-Start:    $local_fs mountnfs
# Required-Stop:
# Default-Start:     S
# Default-Stop:
# Short-Description: bootclean after mountnfs.
# Description:       Clean temporary filesystems after
#                    network filesystems have been mounted.
### END INIT INFO
EOF

addscript mountnfs.sh <<'EOF'
### BEGIN INIT INFO
# Provides:          mountnfs
# Required-Start:    $local_fs
# Required-Stop:
# Should-Start:      $network $portmap nfs-common  udev-mtab
# Default-Start:     S
# Default-Stop:
# Short-Description: Wait for network file systems to be mounted
# Description:       Network file systems are mounted by
#                    /etc/network/if-up.d/mountnfs in the background
#                    when interfaces are brought up; this script waits
#                    for them to be mounted before carrying on.
### END INIT INFO
EOF

addscript mountoverflowtmp <<'EOF'
### BEGIN INIT INFO
# Provides:          mountoverflowtmp
# Required-Start:    mountall-bootclean
# Required-Stop:     umountfs
# Default-Start:     S
# Default-Stop:
# Short-Description: mount emergency /tmp.
# Description:       Mount a tmpfs on /tmp if there would
#                    otherwise be too little space to log in.
### END INIT INFO
EOF

addscript mtab.sh <<'EOF'
### BEGIN INIT INFO
# Provides:          mtab
# Required-Start:    checkroot
# Required-Stop:
# Default-Start:     S
# Default-Stop:
# Short-Description: Update mtab file.
# Description:       Update the mount program's mtab file after
#                    all local filesystems have been mounted.
### END INIT INFO
EOF

addscript mysql <<'EOF'
### BEGIN INIT INFO
# Provides:          mysql
# Required-Start:    $remote_fs $syslog
# Required-Stop:     $remote_fs $syslog
# Should-Start:      $network $named $time
# Should-Stop:       $network $named $time
# Default-Start:     2 3 4 5
# Default-Stop:      0 1 6
# Short-Description: Start and stop the mysql database server daemon
# Description:       Controls the main MySQL database server daemon "mysqld"
#                    and its wrapper script "mysqld_safe".
### END INIT INFO
EOF

addscript networking <<'EOF'
### BEGIN INIT INFO
# Provides:          networking
# Required-Start:    mountkernfs $local_fs
# Required-Stop:     $local_fs
# Should-Start:      ifupdown
# Should-Stop:       ifupdown
# Default-Start:     S
# Default-Stop:      0 6
# Short-Description: Raise network interfaces.
### END INIT INFO
EOF

addscript nfs-common <<'EOF'
### BEGIN INIT INFO
# Provides:          nfs-common
# Required-Start:    $portmap $time
# Required-Stop:     $time
# Default-Start:     2 3 4 5 S
# Default-Stop:      0 1 6
# Short-Description: NFS support files common to client and server
# Description:       NFS is a popular protocol for file sharing across
#		     TCP/IP networks. This service provides various
#                    support functions for NFS mounts.
### END INIT INFO
EOF

addscript pdns <<'EOF'
### BEGIN INIT INFO
# Provides:          pdns
# Required-Start:    $network $remote_fs $syslog
# Required-Stop:     $network $remote_fs $syslog
# Default-Start:     2 3 4 5
# Default-Stop:      0 1 6
# Should-Start:      slapd mysql postgresql
# Should-Stop:       slapd mysql postgresql
# Short-Description: PDNS is a versatile high performance authoritative nameserver.
### END INIT INFO
EOF

addscript pdns-recursor <<'EOF'
### BEGIN INIT INFO
# Provides:          pdns-recursor
# Required-Start:    $network $remote_fs $syslog
# Required-Stop:     $network $remote_fs $syslog
# Default-Start:     2 3 4 5
# Default-Stop:      0 1 6
# X-Start-After:     slapd mysql postgresql
# X-Stop-Before:     slapd mysql postgresql
# Short-Description: Start the recursor at boot time.
### END INIT INFO
EOF

addscript portmap <<'EOF'
### BEGIN INIT INFO
# Provides:          portmap
# Required-Start:    $network $local_fs
# Required-Stop:     $network $local_fs
# Default-Start:     S 2 3 4 5
# Default-Stop:      0 1 6
# Short-Description: The RPC portmapper
# Description:       Portmap is a server that converts RPC (Remote
#                    Procedure Call) program numbers into DARPA
#                    protocol port numbers. It must be running in
#                    order to make RPC calls. Services that use
#                    RPC include NFS and NIS.
### END INIT INFO
EOF

addscript procps <<'EOF'
### BEGIN INIT INFO
# Provides:          procps
# Required-Start:    mountkernfs $local_fs
# Required-Stop:
# Should-Start:      udev module-init-tools
# Default-Start:     S
# Default-Stop:
# Short-Description: Configure kernel parameters at boottime
# Description:  Loads kernel parameters that are specified in /etc/sysctl.conf
### END INIT INFO
EOF

addscript rc.local <<'EOF'
### BEGIN INIT INFO
# Provides:          rc.local
# Required-Start:    $remote_fs $syslog $all
# Required-Stop:
# Default-Start:     2 3 4 5
# Default-Stop:
# Short-Description: Run /etc/rc.local if it exist
### END INIT INFO
EOF

addscript reboot <<'EOF'
### BEGIN INIT INFO
# Provides:          reboot
# Required-Start:
# Required-Stop:
# Default-Start:
# Default-Stop:      6
# Short-Description: Execute the reboot command.
# Description:
### END INIT INFO
EOF

addscript rmnologin <<'EOF'
### BEGIN INIT INFO
# Provides:          rmnologin
# Required-Start:    $remote_fs $all
# Required-Stop: 
# Default-Start:     2 3 4 5
# Default-Stop:
# Short-Description: Remove /etc/nologin at boot
# Description:       This script removes the /etc/nologin file as the
#                    last step in the boot process, if DELAYLOGIN=yes.
#                    If DELAYLOGIN=no, /etc/nologin was not created by
#                    bootmisc earlier in the boot process.
### END INIT INFO
EOF

addscript rsyslog <<'EOF'
### BEGIN INIT INFO
# Provides:          rsyslog
# Required-Start:    $remote_fs $time
# Required-Stop:     umountnfs $time
# X-Stop-After:      sendsigs
# Default-Start:     2 3 4 5
# Default-Stop:      0 1 6
# Short-Description: enhanced syslogd
# Description:       Rsyslog is an enhanced multi-threaded syslogd.
#                    It is quite compatible to stock sysklogd and can be 
#                    used as a drop-in replacement.
### END INIT INFO
EOF

addscript sendsigs <<'EOF'
### BEGIN INIT INFO
# Provides:          sendsigs
# Required-Start:    
# Required-Stop:     umountnfs
# Default-Start:
# Default-Stop:      0 6
# Short-Description: Kill all remaining processes.
# Description: 
### END INIT INFO
EOF

addscript single <<'EOF'
### BEGIN INIT INFO
# Provides:          single
# Required-Start:    $local_fs $all killprocs
# Required-Stop:
# Default-Start:     1
# Default-Stop:
# Short-Description: executed by init(8) upon entering runlevel 1 (single).
### END INIT INFO
EOF

addscript ssh <<'EOF'
### BEGIN INIT INFO
# Provides:		sshd
# Required-Start:	$remote_fs $syslog
# Required-Stop:	$remote_fs $syslog
# Default-Start:	2 3 4 5
# Default-Stop:		
# Short-Description:	OpenBSD Secure Shell server
### END INIT INFO
EOF

addscript stop-bootlogd <<'EOF'
### BEGIN INIT INFO
# Provides:          stop-bootlogd
# Required-Start:    $local_fs $all
# Required-Stop:
# Default-Start:     2 3 4 5
# Default-Stop:
# Short-Description: Stop bootlogd
# Description:       See the init.d/bootlogd script
### END INIT INFO
EOF

addscript stop-bootlogd-single <<'EOF'
### BEGIN INIT INFO
# Provides:          stop-bootlogd-single
# Required-Start:    $local_fs $all
# Required-Stop:
# Default-Start:     S
# Default-Stop:
# Short-Description: Stop bootlogd in single user mode
# Description:       See the init.d/bootlogd script
### END INIT INFO
EOF

addscript udev <<'EOF'
### BEGIN INIT INFO
# Provides:          udev
# Required-Start:    mountkernfs 
# Required-Stop:     
# Default-Start:     S
# Default-Stop:
# X-Interactive:     true
# Short-Description: Start udevd, populate /dev and load drivers.
### END INIT INFO
EOF

addscript udev-mtab <<'EOF'
### BEGIN INIT INFO
# Provides:          udev-mtab
# Required-Start:    udev $local_fs
# Required-Stop:     
# Default-Start:     S
# Default-Stop:
# Short-Description: Add to mtab the entry for /dev.
### END INIT INFO
EOF

addscript umountfs <<'EOF'
### BEGIN INIT INFO
# Provides:          umountfs
# Required-Start:
# Required-Stop:     umountroot
# Default-Start:
# Default-Stop:      0 6
# Short-Description: Turn off swap and unmount all local file systems.
# Description:
### END INIT INFO
EOF

addscript umountnfs.sh <<'EOF'
### BEGIN INIT INFO
# Provides:          umountnfs
# Required-Start:
# Required-Stop:     umountfs
# Should-Stop:       $network $portmap nfs-common
# Default-Start:
# Default-Stop:      0 6
# Short-Description: Unmount all network filesystems except the root fs.
# Description:       Also unmounts all virtual filesystems (proc,
#                    devpts, usbfs, sysfs) that are not mounted at the
#                    top level.
### END INIT INFO
EOF

addscript umountroot <<'EOF'
### BEGIN INIT INFO
# Provides:          umountroot
# Required-Start:
# Required-Stop:
# Should-Stop:       halt reboot kexec
# Default-Start:
# Default-Stop:      0 6
# Short-Description: Mount the root filesystem read-only.
### END INIT INFO
EOF

addscript urandom <<'EOF'
### BEGIN INIT INFO
# Provides:          urandom
# Required-Start:    $local_fs
# Required-Stop:     $local_fs
# Default-Start:     S
# Default-Stop:      0 6
# Short-Description: Save and restore random seed between restarts.
# Description:       This script saves the random seed between restarts.
#                    It is called from the boot, halt and reboot scripts.
### END INIT INFO
EOF

cd $tmpdir/etc
mkdir rc0.d rc1.d rc2.d rc3.d rc4.d rc5.d rc6.d rcS.d
ln -s ../init.d/atd rc0.d/K01atd
ln -s ../init.d/exim4 rc0.d/K01exim4
ln -s ../init.d/urandom rc0.d/K01urandom
ln -s ../init.d/mysql rc0.d/K02mysql
ln -s ../init.d/sendsigs rc0.d/K03sendsigs
ln -s ../init.d/rsyslog rc0.d/K04rsyslog
ln -s ../init.d/umountnfs.sh rc0.d/K05umountnfs.sh
ln -s ../init.d/nfs-common rc0.d/K06nfs-common
ln -s ../init.d/portmap rc0.d/K06portmap
ln -s ../init.d/hwclock.sh rc0.d/K07hwclock.sh
ln -s ../init.d/networking rc0.d/K07networking
ln -s ../init.d/ifupdown rc0.d/K08ifupdown
ln -s ../init.d/umountfs rc0.d/K09umountfs
ln -s ../init.d/umountroot rc0.d/K10umountroot
ln -s ../init.d/halt rc0.d/K11halt
ln -s ../init.d/atd rc1.d/K01atd
ln -s ../init.d/exim4 rc1.d/K01exim4
ln -s ../init.d/mysql rc1.d/K02mysql
ln -s ../init.d/rsyslog rc1.d/K04rsyslog
ln -s ../init.d/nfs-common rc1.d/K06nfs-common
ln -s ../init.d/portmap rc1.d/K06portmap
ln -s ../init.d/killprocs rc1.d/S01killprocs
ln -s ../init.d/bootlogs rc1.d/S20bootlogs
ln -s ../init.d/single rc1.d/S21single
ln -s ../init.d/portmap rc2.d/S14portmap
ln -s ../init.d/nfs-common rc2.d/S15nfs-common
ln -s ../init.d/rsyslog rc2.d/S17rsyslog
ln -s ../init.d/acpid rc2.d/S18acpid
ln -s ../init.d/atd rc2.d/S18atd
ln -s ../init.d/cron rc2.d/S18cron
ln -s ../init.d/mysql rc2.d/S18mysql
ln -s ../init.d/ssh rc2.d/S18ssh
ln -s ../init.d/exim4 rc2.d/S19exim4
ln -s ../init.d/bootlogs rc2.d/S20bootlogs
ln -s ../init.d/rc.local rc2.d/S21rc.local
ln -s ../init.d/rmnologin rc2.d/S21rmnologin
ln -s ../init.d/stop-bootlogd rc2.d/S21stop-bootlogd
ln -s ../init.d/portmap rc3.d/S14portmap
ln -s ../init.d/nfs-common rc3.d/S15nfs-common
ln -s ../init.d/rsyslog rc3.d/S17rsyslog
ln -s ../init.d/acpid rc3.d/S18acpid
ln -s ../init.d/atd rc3.d/S18atd
ln -s ../init.d/cron rc3.d/S18cron
ln -s ../init.d/mysql rc3.d/S18mysql
ln -s ../init.d/ssh rc3.d/S18ssh
ln -s ../init.d/exim4 rc3.d/S19exim4
ln -s ../init.d/bootlogs rc3.d/S20bootlogs
ln -s ../init.d/rc.local rc3.d/S21rc.local
ln -s ../init.d/rmnologin rc3.d/S21rmnologin
ln -s ../init.d/stop-bootlogd rc3.d/S21stop-bootlogd
ln -s ../init.d/portmap rc4.d/S14portmap
ln -s ../init.d/nfs-common rc4.d/S15nfs-common
ln -s ../init.d/rsyslog rc4.d/S17rsyslog
ln -s ../init.d/acpid rc4.d/S18acpid
ln -s ../init.d/atd rc4.d/S18atd
ln -s ../init.d/cron rc4.d/S18cron
ln -s ../init.d/mysql rc4.d/S18mysql
ln -s ../init.d/ssh rc4.d/S18ssh
ln -s ../init.d/exim4 rc4.d/S19exim4
ln -s ../init.d/bootlogs rc4.d/S20bootlogs
ln -s ../init.d/rc.local rc4.d/S21rc.local
ln -s ../init.d/rmnologin rc4.d/S21rmnologin
ln -s ../init.d/stop-bootlogd rc4.d/S21stop-bootlogd
ln -s ../init.d/portmap rc5.d/S14portmap
ln -s ../init.d/nfs-common rc5.d/S15nfs-common
ln -s ../init.d/rsyslog rc5.d/S17rsyslog
ln -s ../init.d/acpid rc5.d/S18acpid
ln -s ../init.d/atd rc5.d/S18atd
ln -s ../init.d/cron rc5.d/S18cron
ln -s ../init.d/mysql rc5.d/S18mysql
ln -s ../init.d/ssh rc5.d/S18ssh
ln -s ../init.d/exim4 rc5.d/S19exim4
ln -s ../init.d/bootlogs rc5.d/S20bootlogs
ln -s ../init.d/rc.local rc5.d/S21rc.local
ln -s ../init.d/rmnologin rc5.d/S21rmnologin
ln -s ../init.d/stop-bootlogd rc5.d/S21stop-bootlogd
ln -s ../init.d/atd rc6.d/K01atd
ln -s ../init.d/exim4 rc6.d/K01exim4
ln -s ../init.d/urandom rc6.d/K01urandom
ln -s ../init.d/mysql rc6.d/K02mysql
ln -s ../init.d/sendsigs rc6.d/K03sendsigs
ln -s ../init.d/rsyslog rc6.d/K04rsyslog
ln -s ../init.d/umountnfs.sh rc6.d/K05umountnfs.sh
ln -s ../init.d/nfs-common rc6.d/K06nfs-common
ln -s ../init.d/portmap rc6.d/K06portmap
ln -s ../init.d/hwclock.sh rc6.d/K07hwclock.sh
ln -s ../init.d/networking rc6.d/K07networking
ln -s ../init.d/ifupdown rc6.d/K08ifupdown
ln -s ../init.d/umountfs rc6.d/K09umountfs
ln -s ../init.d/umountroot rc6.d/K10umountroot
ln -s ../init.d/reboot rc6.d/K11reboot
ln -s ../init.d/mountkernfs.sh rcS.d/S01mountkernfs.sh
ln -s ../init.d/udev rcS.d/S02udev
ln -s ../init.d/mountdevsubfs.sh rcS.d/S03mountdevsubfs.sh
ln -s ../init.d/bootlogd rcS.d/S04bootlogd
ln -s ../init.d/keyboard-setup rcS.d/S05keyboard-setup
ln -s ../init.d/hostname.sh rcS.d/S06hostname.sh
ln -s ../init.d/hwclockfirst.sh rcS.d/S06hwclockfirst.sh
ln -s ../init.d/checkroot.sh rcS.d/S07checkroot.sh
ln -s ../init.d/hwclock.sh rcS.d/S08hwclock.sh
ln -s ../init.d/ifupdown-clean rcS.d/S08ifupdown-clean
ln -s ../init.d/module-init-tools rcS.d/S08module-init-tools
ln -s ../init.d/mtab.sh rcS.d/S08mtab.sh
ln -s ../init.d/checkfs.sh rcS.d/S09checkfs.sh
ln -s ../init.d/ifupdown rcS.d/S10ifupdown
ln -s ../init.d/mountall.sh rcS.d/S10mountall.sh
ln -s ../init.d/mountall-bootclean.sh rcS.d/S11mountall-bootclean.sh
ln -s ../init.d/mountoverflowtmp rcS.d/S12mountoverflowtmp
ln -s ../init.d/networking rcS.d/S13networking
ln -s ../init.d/procps rcS.d/S13procps
ln -s ../init.d/udev-mtab rcS.d/S13udev-mtab
ln -s ../init.d/urandom rcS.d/S13urandom
ln -s ../init.d/portmap rcS.d/S14portmap
ln -s ../init.d/nfs-common rcS.d/S15nfs-common
ln -s ../init.d/mountnfs.sh rcS.d/S16mountnfs.sh
ln -s ../init.d/mountnfs-bootclean.sh rcS.d/S17mountnfs-bootclean.sh
ln -s ../init.d/kbd rcS.d/S18kbd
ln -s ../init.d/console-setup rcS.d/S19console-setup
ln -s ../init.d/bootmisc.sh rcS.d/S20bootmisc.sh
ln -s ../init.d/stop-bootlogd-single rcS.d/S21stop-bootlogd-single

list_rclinks

------------------------- check-initd-order output

oot@node1:~# /usr/share/insserv/check-initd-order -g
# Generating graph
digraph packages {
rankdir=LR;
concentrate=true;
"glibc" -> "mountkernfs"[color=springgreen] ;
"mountkernfs" [shape=box];
"mountkernfs" -> "udev"[color=blue] ;
"udev" [shape=box];
"mountkernfs" -> "mountdevsubfs"[color=blue] ;
"udev" -> "mountdevsubfs"[color=springgreen] ;
"mountdevsubfs" [shape=box];
"bootlogd" -> "hostname"[color=yellow] ;
"bootlogd" -> "keymap"[color=yellow] ;
"bootlogd" -> "keyboard-setup"[color=yellow] ;
"bootlogd" -> "procps"[color=yellow] ;
"bootlogd" -> "pcmcia"[color=yellow] ;
"bootlogd" -> "hwclock"[color=yellow] ;
"bootlogd" -> "hwclockfirst"[color=yellow] ;
"bootlogd" -> "hdparm"[color=yellow] ;
"bootlogd" -> "hibernate-cleanup"[color=yellow] ;
"bootlogd" -> "lvm2"[color=yellow] ;
"mountdevsubfs" -> "bootlogd"[color=blue] ;
"bootlogd" [shape=box];
"keyboard-setup" -> "checkroot"[color=yellow] ;
"mountkernfs" -> "keyboard-setup"[color=blue] ;
"keymap" -> "keyboard-setup"[color=springgreen] ;
"udev" -> "keyboard-setup"[color=springgreen] ;
"keyboard-setup" [shape=box];
"glibc" -> "hostname"[color=springgreen] ;
"hostname" [shape=box];
"hwclockfirst" -> "checkroot"[color=yellow] ;
"mountdevsubfs" -> "hwclockfirst"[color=blue] ;
"hwclockfirst" [shape=box];
"mountdevsubfs" -> "checkroot"[color=blue] ;
"hostname" -> "checkroot"[color=blue] ;
"keymap" -> "checkroot"[color=springgreen] ;
"hwclockfirst" -> "checkroot"[color=springgreen] ;
"hdparm" -> "checkroot"[color=springgreen] ;
"bootlogd" -> "checkroot"[color=springgreen] ;
"checkroot" [shape=box];
"hwclock" -> "$time"[color=blue] ;
"$time" [shape=box];
"checkroot" -> "hwclock"[color=blue] ;
"hwclock" [shape=box];
"checkroot" -> "ifupdown-clean"[color=blue] ;
"ifupdown-clean" [shape=box];
"checkroot" -> "module-init-tools"[color=springgreen] ;
"module-init-tools" [shape=box];
"checkroot" -> "mtab"[color=blue] ;
"mtab" [shape=box];
"checkroot" -> "checkfs"[color=blue] ;
"mtab" -> "checkfs"[color=springgreen] ;
"checkfs" [shape=box];
"$network" -> "$named"[color=blue] ;
"$named" [shape=box];
"ifupdown" -> "$network"[color=blue] ;
"$network" [shape=box];
"ifupdown-clean" -> "ifupdown"[color=blue] ;
"ifupdown" [shape=box];
"$local_fs" -> "$remote_fs"[color=blue] ;
"$remote_fs" [shape=box];
"mountall" -> "$local_fs"[color=blue] ;
"$local_fs" [shape=box];
"checkfs" -> "mountall"[color=blue] ;
"mountall" [shape=box];
"mountall" -> "mountall-bootclean"[color=blue] ;
"mountall-bootclean" [shape=box];
"$local_fs" -> "$remote_fs"[color=blue] ;
"mountoverflowtmp" -> "$local_fs"[color=blue] ;
"mountall-bootclean" -> "mountoverflowtmp"[color=blue] ;
"mountoverflowtmp" [shape=box];
"$network" -> "$named"[color=blue] ;
"networking" -> "$network"[color=blue] ;
"mountkernfs" -> "networking"[color=blue] ;
"$local_fs" -> "networking"[color=blue] ;
"ifupdown" -> "networking"[color=springgreen] ;
"networking" [shape=box];
"mountkernfs" -> "procps"[color=blue] ;
"$local_fs" -> "procps"[color=blue] ;
"udev" -> "procps"[color=springgreen] ;
"module-init-tools" -> "procps"[color=springgreen] ;
"procps" [shape=box];
"udev" -> "udev-mtab"[color=blue] ;
"$local_fs" -> "udev-mtab"[color=blue] ;
"udev-mtab" [shape=box];
"$local_fs" -> "urandom"[color=blue] ;
"urandom" [shape=box];
"portmap" -> "$portmap"[color=blue] ;
"$portmap" [shape=box];
"$network" -> "portmap"[color=blue] ;
"$local_fs" -> "portmap"[color=blue] ;
"portmap" [shape=box];
"$portmap" -> "nfs-common"[color=blue] ;
"$time" -> "nfs-common"[color=blue] ;
"nfs-common" [shape=box];
"mountnfs" -> "$remote_fs"[color=blue] ;
"$local_fs" -> "mountnfs"[color=blue] ;
"$network" -> "mountnfs"[color=springgreen] ;
"$portmap" -> "mountnfs"[color=springgreen] ;
"nfs-common" -> "mountnfs"[color=springgreen] ;
"udev-mtab" -> "mountnfs"[color=springgreen] ;
"mountnfs" [shape=box];
"mountnfs-bootclean" -> "$remote_fs"[color=blue] ;
"$local_fs" -> "mountnfs-bootclean"[color=blue] ;
"mountnfs" -> "mountnfs-bootclean"[color=blue] ;
"mountnfs-bootclean" [shape=box];
"$remote_fs" -> "kbd"[color=blue] ;
"kbd" [shape=box];
"$remote_fs" -> "console-setup"[color=blue] ;
"console-screen" -> "console-setup"[color=springgreen] ;
"kbd" -> "console-setup"[color=springgreen] ;
"console-setup" [shape=box];
"$remote_fs" -> "bootmisc"[color=blue] ;
"udev" -> "bootmisc"[color=springgreen] ;
"bootmisc" [shape=box];
"$local_fs" -> "stop-bootlogd-single"[color=blue] ;
"$all" -> "stop-bootlogd-single"[color=blue] ;
"stop-bootlogd-single" [shape=box];
"portmap" -> "$portmap"[color=blue] ;
"$network" -> "portmap"[color=blue] ;
"$local_fs" -> "portmap"[color=blue] ;
"$portmap" -> "nfs-common"[color=blue] ;
"$time" -> "nfs-common"[color=blue] ;
"rsyslog" -> "$syslog"[color=blue] ;
"$syslog" [shape=box];
"$remote_fs" -> "rsyslog"[color=blue] ;
"$time" -> "rsyslog"[color=blue] ;
"rsyslog" [shape=box];
"acpid" -> "kdm"[color=yellow] ;
"acpid" -> "gdm"[color=yellow] ;
"acpid" -> "xdm"[color=yellow] ;
"acpid" -> "hal"[color=yellow] ;
"$remote_fs" -> "acpid"[color=blue] ;
"$syslog" -> "acpid"[color=blue] ;
"acpid" [shape=box];
"$syslog" -> "atd"[color=blue] ;
"$time" -> "atd"[color=blue] ;
"$remote_fs" -> "atd"[color=blue] ;
"atd" [shape=box];
"$remote_fs" -> "cron"[color=blue] ;
"$syslog" -> "cron"[color=blue] ;
"$time" -> "cron"[color=blue] ;
"slapd" -> "cron"[color=springgreen] ;
"autofs" -> "cron"[color=springgreen] ;
"ypbind" -> "cron"[color=springgreen] ;
"nscd" -> "cron"[color=springgreen] ;
"cron" [shape=box];
"$remote_fs" -> "mysql"[color=blue] ;
"$syslog" -> "mysql"[color=blue] ;
"$network" -> "mysql"[color=springgreen] ;
"$named" -> "mysql"[color=springgreen] ;
"$time" -> "mysql"[color=springgreen] ;
"mysql" [shape=box];
"$remote_fs" -> "sshd"[color=blue] ;
"$syslog" -> "sshd"[color=blue] ;
"sshd" [shape=box];
"$remote_fs" -> "exim4"[color=blue] ;
"$syslog" -> "exim4"[color=blue] ;
"$named" -> "exim4"[color=blue] ;
"$network" -> "exim4"[color=blue] ;
"$time" -> "exim4"[color=blue] ;
"postgresql" -> "exim4"[color=springgreen] ;
"mysql" -> "exim4"[color=springgreen] ;
"clamav-daemon" -> "exim4"[color=springgreen] ;
"greylist" -> "exim4"[color=springgreen] ;
"spamassassin" -> "exim4"[color=springgreen] ;
"exim4" [shape=box];
"hostname" -> "bootlogs"[color=blue] ;
"$local_fs" -> "bootlogs"[color=blue] ;
"$x-display-manager" -> "bootlogs"[color=springgreen] ;
"gdm" -> "bootlogs"[color=springgreen] ;
"kdm" -> "bootlogs"[color=springgreen] ;
"xdm" -> "bootlogs"[color=springgreen] ;
"ldm" -> "bootlogs"[color=springgreen] ;
"sdm" -> "bootlogs"[color=springgreen] ;
"wdm" -> "bootlogs"[color=springgreen] ;
"nodm" -> "bootlogs"[color=springgreen] ;
"bootlogs" [shape=box];
"$remote_fs" -> "rc.local"[color=blue] ;
"$syslog" -> "rc.local"[color=blue] ;
"$all" -> "rc.local"[color=blue] ;
"rc.local" [shape=box];
"$remote_fs" -> "rmnologin"[color=blue] ;
"$all" -> "rmnologin"[color=blue] ;
"rmnologin" [shape=box];
"$local_fs" -> "stop-bootlogd"[color=blue] ;
"$all" -> "stop-bootlogd"[color=blue] ;
"stop-bootlogd" [shape=box];
"$local_fs" -> "$all"[color=blue] ;
"$all" [shape=box];
"checkroot" -> "$all"[color=blue] ;
"rsyslog" -> "$all"[color=blue] ;
"mountoverflowtmp" -> "$all"[color=blue] ;
"$remote_fs" -> "$all"[color=blue] ;
"mountkernfs" -> "$all"[color=blue] ;
"hostname" -> "$all"[color=blue] ;
"bootlogs" -> "$all"[color=blue] ;
"portmap" -> "$all"[color=blue] ;
"urandom" -> "$all"[color=blue] ;
"bootlogd" -> "$all"[color=blue] ;
"ifupdown-clean" -> "$all"[color=blue] ;
"$time" -> "$all"[color=blue] ;
"mtab" -> "$all"[color=blue] ;
"ifupdown" -> "$all"[color=blue] ;
"hwclockfirst" -> "$all"[color=blue] ;
"$syslog" -> "$all"[color=blue] ;
"mountdevsubfs" -> "$all"[color=blue] ;
"$portmap" -> "$all"[color=blue] ;
"nfs-common" -> "$all"[color=blue] ;
"console-setup" -> "$all"[color=blue] ;
"kbd" -> "$all"[color=blue] ;
"udev" -> "$all"[color=blue] ;
"mountnfs" -> "$all"[color=blue] ;
"$network" -> "$all"[color=blue] ;
"exim4" -> "$all"[color=blue] ;
"hwclock" -> "$all"[color=blue] ;
"mountall-bootclean" -> "$all"[color=blue] ;
"mountnfs-bootclean" -> "$all"[color=blue] ;
"$named" -> "$all"[color=blue] ;
"bootmisc" -> "$all"[color=blue] ;
"udev-mtab" -> "$all"[color=blue] ;
"keyboard-setup" -> "$all"[color=blue] ;
"mysql" -> "$all"[color=blue] ;
"cron" -> "$all"[color=blue] ;
"acpid" -> "$all"[color=blue] ;
"atd" -> "$all"[color=blue] ;
"module-init-tools" -> "$all"[color=blue] ;
"procps" -> "$all"[color=blue] ;
"checkfs" -> "$all"[color=blue] ;
"sshd" -> "$all"[color=blue] ;
"networking" -> "$all"[color=blue] ;
"mountall" -> "$all"[color=blue] ;
}
root@node1:~# 




Information forwarded to debian-bugs-dist@lists.debian.org, Matthijs Mohlmann <matthijs@cacholong.nl>:
Bug#585966; Package pdns-server. (Tue, 31 Aug 2010 07:39:42 GMT) Full text and rfc822 format available.

Acknowledgement sent to Petter Reinholdtsen <pere@hungry.com>:
Extra info received and forwarded to list. Copy sent to Matthijs Mohlmann <matthijs@cacholong.nl>. (Tue, 31 Aug 2010 07:39:43 GMT) Full text and rfc822 format available.

Message #101 received at 585966@bugs.debian.org (full text, mbox):

From: Petter Reinholdtsen <pere@hungry.com>
To: Juha Heinanen <jh@tutpro.com>
Cc: Matthijs MXhlmann <matthijs@cacholong.nl>, 585966@bugs.debian.org, 594805@bugs.debian.org
Subject: Re: Bug#585966: installation of pdns-server 2.9.22-7 fails on squeeze
Date: Tue, 31 Aug 2010 07:18:44 +0200
[Juha Heinanen]
> hope this info is enough to reproduce and fix the problem.

It is.  I believe I see the problem.  These two form a loop:

> addscript mysql <<'EOF'
> ### BEGIN INIT INFO
> # Provides:          mysql
> # Required-Start:    $remote_fs $syslog
> # Required-Stop:     $remote_fs $syslog
> # Should-Start:      $network $named $time
> # Should-Stop:       $network $named $time
> # Default-Start:     2 3 4 5
> # Default-Stop:      0 1 6
> # Short-Description: Start and stop the mysql database server daemon
> # Description:       Controls the main MySQL database server daemon "mysqld"
> #                    and its wrapper script "mysqld_safe".
> ### END INIT INFO
> EOF

> addscript pdns <<'EOF'
> ### BEGIN INIT INFO
> # Provides:          pdns
> # Required-Start:    $network $remote_fs $syslog
> # Required-Stop:     $network $remote_fs $syslog
> # Default-Start:     2 3 4 5
> # Default-Stop:      0 1 6
> # Should-Start:      slapd mysql postgresql
> # Should-Stop:       slapd mysql postgresql
> # Short-Description: PDNS is a versatile high performance authoritative nameserver.
> ### END INIT INFO
> EOF

pdns provides $named and want to start after mysql, while mysql want
to start after $named.  This leads to this dependency loop: mysql ->
$named -> pdns -> mysql -> $named.

No idea how to best fix it.  pdns can't run both before and after
mysql.  Either pdns need to drop the mysql relationship, or mysql need
to drop the $named relationship.  The latter might be the best option,
but I leave it to the pdns and mysql maintainers to discuss how to
best order these init.d scripts.

This error has exposed a bug in my archive wide consistency check.  It
currently ignores the insserv.conf.d/ entries, which need to be taken
into account to discover this bug.

Happy hacking,
-- 
Petter Reinholdtsen




Information forwarded to debian-bugs-dist@lists.debian.org, Matthijs Mohlmann <matthijs@cacholong.nl>:
Bug#585966; Package pdns-server. (Tue, 31 Aug 2010 07:39:44 GMT) Full text and rfc822 format available.

Acknowledgement sent to Juha Heinanen <jh@tutpro.com>:
Extra info received and forwarded to list. Copy sent to Matthijs Mohlmann <matthijs@cacholong.nl>. (Tue, 31 Aug 2010 07:39:44 GMT) Full text and rfc822 format available.

Message #106 received at 585966@bugs.debian.org (full text, mbox):

From: Juha Heinanen <jh@tutpro.com>
To: Petter Reinholdtsen <pere@hungry.com>
Cc: Matthijs MXhlmann <matthijs@cacholong.nl>, 585966@bugs.debian.org, 594805@bugs.debian.org
Subject: Re: Bug#585966: installation of pdns-server 2.9.22-7 fails on squeeze
Date: Tue, 31 Aug 2010 09:31:55 +0300
Petter Reinholdtsen writes:

> > it should be enough that mysql is able to resolve domain names.
> > domain name service could very well be located on some other host.
> 
> Yes.  And the problematic relationship only kick in if both are
> installed on the same host.

but even then when both mysql and named are installed on the same host,
mysql does not need to use THE named that runs on that host.  insserv
should check what the contents of /etc/resolv.conf is, which gets too
tricky.

> > the same holds for pdns requiring mysql, because mysql service does
> > not need to run on the same host where pdns is running.  it should
> > be enough that mysql client library is available on the pdns host.
> 
> Same here.

again same here.  if pdns really needs mysql to start, depends on the
value of gmysql-host configuration variable of pdns.  only if it points
to localhost, pdns needs mysql on that host.

-- juha




Information forwarded to debian-bugs-dist@lists.debian.org, Matthijs Mohlmann <matthijs@cacholong.nl>:
Bug#585966; Package pdns-server. (Tue, 31 Aug 2010 07:40:56 GMT) Full text and rfc822 format available.

Acknowledgement sent to Petter Reinholdtsen <pere@hungry.com>:
Extra info received and forwarded to list. Copy sent to Matthijs Mohlmann <matthijs@cacholong.nl>. (Tue, 31 Aug 2010 07:40:57 GMT) Full text and rfc822 format available.

Message #111 received at 585966@bugs.debian.org (full text, mbox):

From: Petter Reinholdtsen <pere@hungry.com>
To: Juha Heinanen <jh@tutpro.com>
Cc: Matthijs MXhlmann <matthijs@cacholong.nl>, 585966@bugs.debian.org, 594805@bugs.debian.org
Subject: Re: Bug#585966: installation of pdns-server 2.9.22-7 fails on squeeze
Date: Tue, 31 Aug 2010 08:24:42 +0200
[Juha Heinanen]
> i don't understand why mysql requires $named to start.

mysql do not require $named to start.  The init.d script relation in
mysql state that if both mysql and the package implementing $named is
both installed, mysql should start after the package implementing
$named.  So this dependency only kick in when both packages are
installed on the same machine.

> it should be enough that mysql is able to resolve domain names.
> domain name service could very well be located on some other host.

Yes.  And the problematic relationship only kick in if both are
installed on the same host.

> the same holds for pdns requiring mysql, because mysql service does
> not need to run on the same host where pdns is running.  it should
> be enough that mysql client library is available on the pdns host.

Same here.

Happy hacking,
-- 
Petter Reinholdtsen




Information forwarded to debian-bugs-dist@lists.debian.org, Matthijs Mohlmann <matthijs@cacholong.nl>:
Bug#585966; Package pdns-server. (Tue, 31 Aug 2010 07:40:58 GMT) Full text and rfc822 format available.

Acknowledgement sent to Juha Heinanen <jh@tutpro.com>:
Extra info received and forwarded to list. Copy sent to Matthijs Mohlmann <matthijs@cacholong.nl>. (Tue, 31 Aug 2010 07:40:58 GMT) Full text and rfc822 format available.

Message #116 received at 585966@bugs.debian.org (full text, mbox):

From: Juha Heinanen <jh@tutpro.com>
To: Petter Reinholdtsen <pere@hungry.com>
Cc: Matthijs MXhlmann <matthijs@cacholong.nl>, 585966@bugs.debian.org, 594805@bugs.debian.org
Subject: Re: Bug#585966: installation of pdns-server 2.9.22-7 fails on squeeze
Date: Tue, 31 Aug 2010 09:11:33 +0300
Petter Reinholdtsen writes:

> pdns provides $named and want to start after mysql, while mysql want
> to start after $named.  This leads to this dependency loop: mysql ->
> $named -> pdns -> mysql -> $named.

petter,

thanks for looking into this.

i don't understand why mysql requires $named to start.  it should be
enough that mysql is able to resolve domain names.  domain name service
could very well be located on some other host.

the same holds for pdns requiring mysql, because mysql service does not
need to run on the same host where pdns is running.  it should be enough
that mysql client library is available on the pdns host.

-- juha




Information forwarded to debian-bugs-dist@lists.debian.org, Matthijs Mohlmann <matthijs@cacholong.nl>:
Bug#585966; Package pdns-server. (Tue, 31 Aug 2010 19:51:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Juha Heinanen <jh@tutpro.com>:
Extra info received and forwarded to list. Copy sent to Matthijs Mohlmann <matthijs@cacholong.nl>. (Tue, 31 Aug 2010 19:51:03 GMT) Full text and rfc822 format available.

Message #121 received at 585966@bugs.debian.org (full text, mbox):

From: Juha Heinanen <jh@tutpro.com>
To: Petter Reinholdtsen <pere@hungry.com>
Cc: Matthijs MXhlmann <matthijs@cacholong.nl>, 585966@bugs.debian.org, 594805@bugs.debian.org
Subject: Re: Bug#585966: installation of pdns-server 2.9.22-7 fails on squeeze
Date: Tue, 31 Aug 2010 22:48:38 +0300
Petter Reinholdtsen writes:

> No idea how to best fix it.  pdns can't run both before and after
> mysql.  Either pdns need to drop the mysql relationship, or mysql need
> to drop the $named relationship.  The latter might be the best option,
> but I leave it to the pdns and mysql maintainers to discuss how to
> best order these init.d scripts.

i would like to add that pdns does NOT require that mysql is running
when pdns is started.  pdns able to connect to mysql when mysql later
becomes available (see below for a demo).

so could you Matthijs please remove mysql from pdns init script Should
lines.  it may namely take forever before mysql maintainers fix their
init script and remove $named from it.

-- juha

# /etc/init.d/pdns start
Starting PowerDNS authoritative nameserver: Aug 31 22:39:56 localhost pdns[3197]: Listening on controlsocket in '/var/run/pdns.controlsocket'
Aug 31 22:39:56 localhost pdns[3197]: Listening on controlsocket in '/var/run/pdns.controlsocket'
Aug 31 22:39:56 localhost pdns[3200]: Guardian is launching an instance
Aug 31 22:39:56 localhost pdns[3200]: Guardian is launching an instance
Aug 31 22:39:56 localhost pdns[3200]: Reading random entropy from '/dev/urandom'
Aug 31 22:39:56 localhost pdns[3200]: Reading random entropy from '/dev/urandom'
Aug 31 22:39:56 localhost pdns[3200]: This is module gmysqlbackend.so reporting
Aug 31 22:39:56 localhost pdns[3200]: This is module gmysqlbackend.so reporting
Aug 31 22:39:56 localhost pdns[3200]: This is a guarded instance of pdns
Aug 31 22:39:56 localhost pdns[3200]: This is a guarded instance of pdns
Aug 31 22:39:56 localhost pdns[3200]: It is advised to bind to explicit addresses with the --local-address option
Aug 31 22:39:56 localhost pdns[3200]: It is advised to bind to explicit addresses with the --local-address option
Aug 31 22:39:56 localhost pdns[3200]: UDP server bound to 0.0.0.0:53
Aug 31 22:39:56 localhost pdns[3200]: UDP server bound to 0.0.0.0:53
Aug 31 22:39:56 localhost pdns[3200]: TCP server bound to 0.0.0.0:53
Aug 31 22:39:56 localhost pdns[3200]: TCP server bound to 0.0.0.0:53
Aug 31 22:39:56 localhost pdns[3200]: PowerDNS 2.9.22 (C) 2001-2009 PowerDNS.COM BV (Aug  6 2010, 11:14:21, gcc 4.4.5 20100728 (prerelease)) starting up
Aug 31 22:39:56 localhost pdns[3200]: PowerDNS 2.9.22 (C) 2001-2009 PowerDNS.COM BV (Aug  6 2010, 11:14:21, gcc 4.4.5 20100728 (prerelease)) starting up
Aug 31 22:39:56 localhost pdns[3200]: PowerDNS comes with ABSOLUTELY NO WARRANTY. This is free software, and you are welcome to redistribute it according to the terms of the GPL version 2.
Aug 31 22:39:56 localhost pdns[3200]: PowerDNS comes with ABSOLUTELY NO WARRANTY. This is free software, and you are welcome to redistribute it according to the terms of the GPL version 2.
Aug 31 22:39:56 localhost pdns[3200]: DNS Proxy launched, local port 33702, remote 127.0.0.1:54
Aug 31 22:39:56 localhost pdns[3200]: DNS Proxy launched, local port 33702, remote 127.0.0.1:54
Aug 31 22:39:56 localhost pdns[3200]: Creating backend connection for TCP
Aug 31 22:39:56 localhost pdns[3200]: Creating backend connection for TCP
Aug 31 22:39:56 localhost pdns[3200]: gmysql Connection failed: Unable to connect to database: Can't connect to MySQL server on '127.0.0.1' (111)
Aug 31 22:39:56 localhost pdns[3200]: gmysql Connection failed: Unable to connect to database: Can't connect to MySQL server on '127.0.0.1' (111)
Aug 31 22:39:56 localhost pdns[3200]: Caught an exception instantiating a backend, cleaning up
Aug 31 22:39:56 localhost pdns[3200]: Caught an exception instantiating a backend, cleaning up
Aug 31 22:39:56 localhost pdns[3200]: Launched webserver on 127.0.0.1:8081
Aug 31 22:39:56 localhost pdns[3200]: Launched webserver on 127.0.0.1:8081
Aug 31 22:39:56 localhost pdns[3200]: TCP server is unable to launch backends - will try again when questions come in: Unable to launch gmysql connection: Unable to connect to database: Can't connect to MySQL server on '127.0.0.1' (111)
Aug 31 22:39:56 localhost pdns[3200]: TCP server is unable to launch backends - will try again when questions come in: Unable to launch gmysql connection: Unable to connect to database: Can't connect to MySQL server on '127.0.0.1' (111)
Aug 31 22:39:56 localhost pdns[3200]: About to create 3 backend threads for UDP
Aug 31 22:39:56 localhost pdns[3200]: About to create 3 backend threads for UDP
Aug 31 22:39:56 localhost pdns[3200]: gmysql Connection failed: Unable to connect to database: Can't connect to MySQL server on '127.0.0.1' (111)
Aug 31 22:39:56 localhost pdns[3200]: gmysql Connection failed: Unable to connect to database: Can't connect to MySQL server on '127.0.0.1' (111)
Aug 31 22:39:56 localhost pdns[3200]: Caught an exception instantiating a backend, cleaning up
Aug 31 22:39:56 localhost pdns[3200]: Caught an exception instantiating a backend, cleaning up
Aug 31 22:39:56 localhost pdns[3200]: gmysql Connection failed: Unable to connect to database: Can't connect to MySQL server on '127.0.0.1' (111)
Aug 31 22:39:56 localhost pdns[3200]: gmysql Connection failed: Unable to connect to database: Can't connect to MySQL server on '127.0.0.1' (111)
Aug 31 22:39:56 localhost pdns[3200]: Caught an exception instantiating a backend, cleaning up
Aug 31 22:39:56 localhost pdns[3200]: Caught an exception instantiating a backend, cleaning up
Aug 31 22:39:56 localhost pdns[3200]: gmysql Connection failed: Unable to connect to database: Can't connect to MySQL server on '127.0.0.1' (111)
Aug 31 22:39:56 localhost pdns[3200]: gmysql Connection failed: Unable to connect to database: Can't connect to MySQL server on '127.0.0.1' (111)
Aug 31 22:39:56 localhost pdns[3200]: Caught an exception instantiating a backend, cleaning up
Aug 31 22:39:56 localhost pdns[3200]: Caught an exception instantiating a backend, cleaning up
Aug 31 22:39:56 localhost pdns[3200]: Done launching threads, ready to distribute questions
Aug 31 22:39:56 localhost pdns[3200]: Done launching threads, ready to distribute questions
started

# /etc/init.d/mysql start
Starting MySQL database server: mysqldAug 31 22:40:07 localhost mysqld_safe: Starting mysqld daemon with databases from /var/lib/mysql
Aug 31 22:40:07 localhost mysqld_safe: Starting mysqld daemon with databases from /var/lib/mysql
Aug 31 22:40:07 localhost mysqld: 100831 22:40:07 [Note] Plugin 'FEDERATED' is disabled.
Aug 31 22:40:07 localhost mysqld: 100831 22:40:07 [Note] Plugin 'FEDERATED' is disabled.
Aug 31 22:40:07 localhost mysqld: 100831 22:40:07  InnoDB: Started; log sequence number 0 9127733
Aug 31 22:40:07 localhost mysqld: 100831 22:40:07  InnoDB: Started; log sequence number 0 9127733
Aug 31 22:40:07 localhost mysqld: 100831 22:40:07 [Note] Event Scheduler: Loaded 0 events
Aug 31 22:40:07 localhost mysqld: 100831 22:40:07 [Note] Event Scheduler: Loaded 0 events
Aug 31 22:40:07 localhost mysqld: 100831 22:40:07 [Note] /usr/sbin/mysqld: ready for connections.
Aug 31 22:40:07 localhost mysqld: Version: '5.1.49-1'  socket: '/var/run/mysqld/mysqld.sock'  port: 3306  (Debian)
Aug 31 22:40:07 localhost mysqld: 100831 22:40:07 [Note] /usr/sbin/mysqld: ready for connections.
Aug 31 22:40:07 localhost mysqld: Version: '5.1.49-1'  socket: '/var/run/mysqld/mysqld.sock'  port: 3306  (Debian)
.
Checking for corrupt, not cleanly closed and upgrade needing tables..
Aug 31 22:40:08 localhost /etc/mysql/debian-start[3391]: Upgrading MySQL tables if necessary.
Aug 31 22:40:08 localhost /etc/mysql/debian-start[3391]: Upgrading MySQL tables if necessary.
Aug 31 22:40:08 localhost /etc/mysql/debian-start[3394]: /usr/bin/mysql_upgrade: the '--basedir' option is always ignored
Aug 31 22:40:08 localhost /etc/mysql/debian-start[3394]: Looking for 'mysql' as: /usr/bin/mysql
Aug 31 22:40:08 localhost /etc/mysql/debian-start[3394]: /usr/bin/mysql_upgrade: the '--basedir' option is always ignored
Aug 31 22:40:08 localhost /etc/mysql/debian-start[3394]: Looking for 'mysql' as: /usr/bin/mysql
Aug 31 22:40:08 localhost /etc/mysql/debian-start[3394]: Looking for 'mysqlcheck' as: /usr/bin/mysqlcheck
Aug 31 22:40:08 localhost /etc/mysql/debian-start[3394]: This installation of MySQL is already upgraded to 5.1.49, use --force if you still need to run mysql_upgrade
Aug 31 22:40:08 localhost /etc/mysql/debian-start[3394]: Looking for 'mysqlcheck' as: /usr/bin/mysqlcheck
Aug 31 22:40:08 localhost /etc/mysql/debian-start[3394]: This installation of MySQL is already upgraded to 5.1.49, use --force if you still need to run mysql_upgrade
Aug 31 22:40:08 localhost /etc/mysql/debian-start[3401]: Checking for insecure root accounts.
Aug 31 22:40:08 localhost /etc/mysql/debian-start[3401]: Checking for insecure root accounts.
Aug 31 22:40:08 localhost /etc/mysql/debian-start[3405]: Triggering myisam-recover for all MyISAM tables
Aug 31 22:40:08 localhost /etc/mysql/debian-start[3405]: Triggering myisam-recover for all MyISAM tables

# host www.debian.org 127.0.0.1
Aug 31 22:40:54 localhost pdns[3200]: gmysql Connection succesful
Aug 31 22:40:54 localhost pdns[3200]: gmysql Connection succesful
Using domain server:
Name: 127.0.0.1
Address: 127.0.0.1#53
Aliases: 

www.debian.org has address 141.76.2.5
www.debian.org has address 194.109.137.218
www.debian.org has address 213.129.232.18
www.debian.org has IPv6 address 2001:888:2000:12::2
www.debian.org has IPv6 address 2001:858:2:1::10




Information forwarded to debian-bugs-dist@lists.debian.org, Matthijs Mohlmann <matthijs@cacholong.nl>:
Bug#585966; Package pdns-server. (Tue, 31 Aug 2010 20:09:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Petter Reinholdtsen <pere@hungry.com>:
Extra info received and forwarded to list. Copy sent to Matthijs Mohlmann <matthijs@cacholong.nl>. (Tue, 31 Aug 2010 20:09:02 GMT) Full text and rfc822 format available.

Message #126 received at 585966@bugs.debian.org (full text, mbox):

From: Petter Reinholdtsen <pere@hungry.com>
To: Juha Heinanen <jh@tutpro.com>
Cc: Matthijs MXhlmann <matthijs@cacholong.nl>, 585966@bugs.debian.org, 594805@bugs.debian.org
Subject: Re: Bug#585966: installation of pdns-server 2.9.22-7 fails on squeeze
Date: Tue, 31 Aug 2010 22:04:50 +0200
[Juha Heinanen]
> i would like to add that pdns does NOT require that mysql is running
> when pdns is started.  pdns able to connect to mysql when mysql
> later becomes available (see below for a demo).

For Debian Edu, we provide pdns and slapd on the same machine, and
services started during boot expect DNS to have the entires provided
in the LDAP database to work.  So in this scenario, pdns need to start
after slapd and kerberos and others need to start after pdns for the
services to work after boot.  It would not help if pdns would connect
to LDAP later in the boot, if the services looking for DNS names
failed during boot.

I suspect it is similar when using the mysql backend.

But it all boils down to what init.d script ordering the maintainers
of pdns and mysql want.  Both ordering make sense for some scenarios.

Happy hacking,
-- 
Petter Reinholdtsen




Information forwarded to debian-bugs-dist@lists.debian.org, Matthijs Mohlmann <matthijs@cacholong.nl>:
Bug#585966; Package pdns-server. (Mon, 13 Sep 2010 04:30:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to <info@dnsregistraties.be>:
Extra info received and forwarded to list. Copy sent to Matthijs Mohlmann <matthijs@cacholong.nl>. (Mon, 13 Sep 2010 04:30:03 GMT) Full text and rfc822 format available.

Message #131 received at 585966@bugs.debian.org (full text, mbox):

From: <info@dnsregistraties.be>
To: Petter Reinholdtsen <pere@hungry.com>, <594805@bugs.debian.org>
Cc: Juha Heinanen <jh@tutpro.com>, Matthijs MXhlmann <matthijs@cacholong.nl>, <585966@bugs.debian.org>
Subject: Re: Bug#594805: Bug#585966: installation of pdns-server 2.9.22-7 fails on squeeze
Date: Mon, 13 Sep 2010 00:21:07 -0400
Is there any update about this issue?
We are now 2 weeks further and don't have received any update.

Kind regards,
Sandy van der Borght


On Tue, 31 Aug 2010 22:04:50 +0200, Petter Reinholdtsen <pere@hungry.com>
wrote:
> [Juha Heinanen]
>> i would like to add that pdns does NOT require that mysql is running
>> when pdns is started.  pdns able to connect to mysql when mysql
>> later becomes available (see below for a demo).
> 
> For Debian Edu, we provide pdns and slapd on the same machine, and
> services started during boot expect DNS to have the entires provided
> in the LDAP database to work.  So in this scenario, pdns need to start
> after slapd and kerberos and others need to start after pdns for the
> services to work after boot.  It would not help if pdns would connect
> to LDAP later in the boot, if the services looking for DNS names
> failed during boot.
> 
> I suspect it is similar when using the mysql backend.
> 
> But it all boils down to what init.d script ordering the maintainers
> of pdns and mysql want.  Both ordering make sense for some scenarios.
> 
> Happy hacking,
> -- 
> Petter Reinholdtsen




Information forwarded to debian-bugs-dist@lists.debian.org, Matthijs Mohlmann <matthijs@cacholong.nl>:
Bug#585966; Package pdns-server. (Mon, 13 Sep 2010 06:57:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Juha Heinanen <jh@tutpro.com>:
Extra info received and forwarded to list. Copy sent to Matthijs Mohlmann <matthijs@cacholong.nl>. (Mon, 13 Sep 2010 06:57:03 GMT) Full text and rfc822 format available.

Message #136 received at 585966@bugs.debian.org (full text, mbox):

From: Juha Heinanen <jh@tutpro.com>
To: <info@dnsregistraties.be>
Cc: Petter Reinholdtsen <pere@hungry.com>, <594805@bugs.debian.org>, Matthijs MXhlmann <matthijs@cacholong.nl>, <585966@bugs.debian.org>
Subject: Re: Bug#594805: Bug#585966: installation of pdns-server 2.9.22-7 fails on squeeze
Date: Mon, 13 Sep 2010 09:54:33 +0300
info@dnsregistraties.be writes:

> Is there any update about this issue?
> We are now 2 weeks further and don't have received any update.

i have not seen any updates.  my conclusion is that the rules under
which a package may list init dependencies should be clarified by the
debian people who have invented the system.

in my opinion, the policy should be that init dependency of a service on
another service should only be listed if the init script of the service
cannot be run unless this other service is already running ON THE SAME
HOST.

on top of that, perhaps there could be a customization mechanism that
would allow system managers to add other init dependencies on top of the
default ones that obey the above stated rule.

-=- juha




Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#585966; Package pdns-server. (Mon, 13 Sep 2010 07:03:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Matthijs Mohlmann <matthijs@cacholong.nl>:
Extra info received and forwarded to list. (Mon, 13 Sep 2010 07:03:04 GMT) Full text and rfc822 format available.

Message #141 received at 585966@bugs.debian.org (full text, mbox):

From: Matthijs Mohlmann <matthijs@cacholong.nl>
To: Juha Heinanen <jh@tutpro.com>
Cc: <info@dnsregistraties.be>, Petter Reinholdtsen <pere@hungry.com>, <594805@bugs.debian.org>, <585966@bugs.debian.org>
Subject: Re: Bug#594805: Bug#585966: installation of pdns-server 2.9.22-7 fails on squeeze
Date: Mon, 13 Sep 2010 08:58:39 +0200
On Sep 13, 2010, at 8:54 AM, Juha Heinanen wrote:

> info@dnsregistraties.be writes:
> 
>> Is there any update about this issue?
>> We are now 2 weeks further and don't have received any update.
> 
> i have not seen any updates.  my conclusion is that the rules under
> which a package may list init dependencies should be clarified by the
> debian people who have invented the system.
> 
> in my opinion, the policy should be that init dependency of a service on
> another service should only be listed if the init script of the service
> cannot be run unless this other service is already running ON THE SAME
> HOST.
> 
> on top of that, perhaps there could be a customization mechanism that
> would allow system managers to add other init dependencies on top of the
> default ones that obey the above stated rule.
> 
> -=- juha

I'll remove the mysql dependency from the init.d script and will upload it when
I tested it. Sorry for the delay in response.

I need to check the other services too, like postgresql and slapd which also
can have this behaviour.

Expect an upload in a day or two.

Regards,

Matthijs Möhlmann



Information forwarded to debian-bugs-dist@lists.debian.org, Matthijs Mohlmann <matthijs@cacholong.nl>:
Bug#585966; Package pdns-server. (Mon, 13 Sep 2010 07:03:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Petter Reinholdtsen <pere@hungry.com>:
Extra info received and forwarded to list. Copy sent to Matthijs Mohlmann <matthijs@cacholong.nl>. (Mon, 13 Sep 2010 07:03:06 GMT) Full text and rfc822 format available.

Message #146 received at 585966@bugs.debian.org (full text, mbox):

From: Petter Reinholdtsen <pere@hungry.com>
To: Juha Heinanen <jh@tutpro.com>
Cc: info@dnsregistraties.be, 594805@bugs.debian.org, Matthijs MXhlmann <matthijs@cacholong.nl>, 585966@bugs.debian.org
Subject: Re: Bug#594805: Bug#585966: installation of pdns-server 2.9.22-7 fails on squeeze
Date: Mon, 13 Sep 2010 09:01:05 +0200
[Juha Heinanen]
> my conclusion is that the rules under which a package may list init
> dependencies should be clarified by the debian people who have
> invented the system.

I assume you mean init.d script dependencies, when you write "the
system"?  If so, it is part of the Linux Software Base, and not
invented by Debian people.

> in my opinion, the policy should be that init dependency of a
> service on another service should only be listed if the init script
> of the service cannot be run unless this other service is already
> running ON THE SAME HOST.

I believe this is already in place.  There are two sets of
dependencies, the required (required-*) ones and the optional ones
(should-*).  The optional ones only kick in if the two services in
questions are installed on the same host.

> on top of that, perhaps there could be a customization mechanism
> that would allow system managers to add other init dependencies on
> top of the default ones that obey the above stated rule.

Already exist, by either editing the scripts directly or adding a file
in /etc/insserv/overrides/.

To me it seem like you are kicking in open doors.

It still boils down to what the two maintainers want, ie which
ordering they want by default for their packages scripts during boot.

Happy hacking,
-- 
Petter Reinholdtsen




Information forwarded to debian-bugs-dist@lists.debian.org, Matthijs Mohlmann <matthijs@cacholong.nl>:
Bug#585966; Package pdns-server. (Mon, 13 Sep 2010 07:18:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Juha Heinanen <jh@tutpro.com>:
Extra info received and forwarded to list. Copy sent to Matthijs Mohlmann <matthijs@cacholong.nl>. (Mon, 13 Sep 2010 07:18:04 GMT) Full text and rfc822 format available.

Message #151 received at 585966@bugs.debian.org (full text, mbox):

From: Juha Heinanen <jh@tutpro.com>
To: Petter Reinholdtsen <pere@hungry.com>
Cc: info@dnsregistraties.be, 594805@bugs.debian.org, Matthijs MXhlmann <matthijs@cacholong.nl>, 585966@bugs.debian.org
Subject: Re: Bug#594805: Bug#585966: installation of pdns-server 2.9.22-7 fails on squeeze
Date: Mon, 13 Sep 2010 10:14:39 +0300
Petter Reinholdtsen writes:

> I believe this is already in place.  There are two sets of
> dependencies, the required (required-*) ones and the optional ones
> (should-*).  The optional ones only kick in if the two services in
> questions are installed on the same host.

but, as i have mentioned earlier, even if two services are installed on
the same host, one service does not need to use the other service on the
same host, but on another host.
> 
> > on top of that, perhaps there could be a customization mechanism
> > that would allow system managers to add other init dependencies on
> > top of the default ones that obey the above stated rule.
> 
> Already exist, by either editing the scripts directly or adding a file
> in /etc/insserv/overrides/.

thanks for the pointer.  looks like it is good place to list "should-*"
services in case system manager wants to use them on the same host.

> It still boils down to what the two maintainers want, ie which
> ordering they want by default for their packages scripts during boot.

default should be that the packages are installable without a need to
first configure something in /etc/insserv/overrides/.

-- juha




Information forwarded to debian-bugs-dist@lists.debian.org, Matthijs Mohlmann <matthijs@cacholong.nl>:
Bug#585966; Package pdns-server. (Thu, 30 Sep 2010 17:09:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to <info@dnsregistraties.be>:
Extra info received and forwarded to list. Copy sent to Matthijs Mohlmann <matthijs@cacholong.nl>. (Thu, 30 Sep 2010 17:09:03 GMT) Full text and rfc822 format available.

Message #156 received at 585966@bugs.debian.org (full text, mbox):

From: <info@dnsregistraties.be>
To: Juha Heinanen <jh@tutpro.com>, <594805@bugs.debian.org>
Cc: Petter Reinholdtsen <pere@hungry.com>, Matthijs MXhlmann <matthijs@cacholong.nl>, <585966@bugs.debian.org>
Subject: Re: Bug#594805: Bug#585966: installation of pdns-server 2.9.22-7 fails on squeeze
Date: Thu, 30 Sep 2010 18:51:06 +0200
Hello,

Any progress with this bug?
The last updates doesn't want to install because of this issue.
Please fix this issue ASAP.

Regards,
Sandy van der Borght




Information forwarded to debian-bugs-dist@lists.debian.org, Matthijs Mohlmann <matthijs@cacholong.nl>:
Bug#585966; Package pdns-server. (Thu, 30 Sep 2010 17:21:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Juha Heinanen <jh@tutpro.com>:
Extra info received and forwarded to list. Copy sent to Matthijs Mohlmann <matthijs@cacholong.nl>. (Thu, 30 Sep 2010 17:21:06 GMT) Full text and rfc822 format available.

Message #161 received at 585966@bugs.debian.org (full text, mbox):

From: Juha Heinanen <jh@tutpro.com>
To: <info@dnsregistraties.be>
Cc: <594805@bugs.debian.org>, Petter Reinholdtsen <pere@hungry.com>, Matthijs MXhlmann <matthijs@cacholong.nl>, <585966@bugs.debian.org>
Subject: Re: Bug#594805: Bug#585966: installation of pdns-server 2.9.22-7 fails on squeeze
Date: Thu, 30 Sep 2010 20:17:10 +0300
info@dnsregistraties.be writes:

> Any progress with this bug?
> The last updates doesn't want to install because of this issue.
> Please fix this issue ASAP.

while waiting for the fix, i created this before installing
mysql-server-5.1 and pdns with mysql backend:

# more /etc/insserv/overrides/mysql 
### BEGIN INIT INFO
# Provides:          mysql
# Required-Start:    $remote_fs $syslog
# Required-Stop:     $remote_fs $syslog
# Should-Start:      $network $time
# Should-Stop:       $network $time
# Default-Start:     2 3 4 5
# Default-Stop:      0 1 6
# Short-Description: Start and stop the mysql database server daemon
# Description:       Controls the main MySQL database server daemon "mysqld"
#                    and its wrapper script "mysqld_safe".
### END INIT INFO

-- juha




Information forwarded to debian-bugs-dist@lists.debian.org, Matthijs Mohlmann <matthijs@cacholong.nl>:
Bug#585966; Package pdns-server. (Thu, 30 Sep 2010 20:00:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Matthijs Möhlmann <matthijs@cacholong.nl>:
Extra info received and forwarded to list. Copy sent to Matthijs Mohlmann <matthijs@cacholong.nl>. (Thu, 30 Sep 2010 20:00:06 GMT) Full text and rfc822 format available.

Message #166 received at 585966@bugs.debian.org (full text, mbox):

From: Matthijs Möhlmann <matthijs@cacholong.nl>
To: Juha Heinanen <jh@tutpro.com>
Cc: info@dnsregistraties.be, 594805@bugs.debian.org, Petter Reinholdtsen <pere@hungry.com>, 585966@bugs.debian.org
Subject: Re: Bug#594805: Bug#585966: installation of pdns-server 2.9.22-7 fails on squeeze
Date: Thu, 30 Sep 2010 21:57:25 +0200
On 09/30/2010 07:17 PM, Juha Heinanen wrote:
> info@dnsregistraties.be writes:
>
>> Any progress with this bug?
>> The last updates doesn't want to install because of this issue.
>> Please fix this issue ASAP.
>
> while waiting for the fix, i created this before installing
> mysql-server-5.1 and pdns with mysql backend:
>
> # more /etc/insserv/overrides/mysql
> ### BEGIN INIT INFO
> # Provides:          mysql
> # Required-Start:    $remote_fs $syslog
> # Required-Stop:     $remote_fs $syslog
> # Should-Start:      $network $time
> # Should-Stop:       $network $time
> # Default-Start:     2 3 4 5
> # Default-Stop:      0 1 6
> # Short-Description: Start and stop the mysql database server daemon
> # Description:       Controls the main MySQL database server daemon "mysqld"
> #                    and its wrapper script "mysqld_safe".
> ### END INIT INFO
>
> -- juha

Replying to all now.

I've just tested the installation of mysql-server, pdns-recursor and 
pdns-server and all of them are installing cleanly now. I've removed the 
mysql and postgresql from the startup requirements in the pdns init 
script, that seems to be enough to fix this problem.

I know that pdns automatically tries to connect to the database again if 
it can't at the very moment. It tries it again when queries come in.

So if this isn't fixed can you provide me with the init.d scripts of 
pdns, pdns-recursor and mysql so I can investigate the issue. And can 
you give the output of:
ls -l /etc/insserv.conf.d

Thanks in advance.

Regards,

Matthijs Mohlmann




Information forwarded to debian-bugs-dist@lists.debian.org, Matthijs Mohlmann <matthijs@cacholong.nl>:
Bug#585966; Package pdns-server. (Fri, 01 Oct 2010 16:09:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Juha Heinanen <jh@tutpro.com>:
Extra info received and forwarded to list. Copy sent to Matthijs Mohlmann <matthijs@cacholong.nl>. (Fri, 01 Oct 2010 16:09:03 GMT) Full text and rfc822 format available.

Message #171 received at 585966@bugs.debian.org (full text, mbox):

From: Juha Heinanen <jh@tutpro.com>
To: Matthijs Möhlmann <matthijs@cacholong.nl>
Cc: info@dnsregistraties.be, 594805@bugs.debian.org, Petter Reinholdtsen <pere@hungry.com>, 585966@bugs.debian.org
Subject: Re: Bug#594805: Bug#585966: installation of pdns-server 2.9.22-7 fails on squeeze
Date: Fri, 1 Oct 2010 19:05:29 +0300
Matthijs Möhlmann writes:

> I've just tested the installation of mysql-server, pdns-recursor and 
> pdns-server and all of them are installing cleanly now. I've removed the 
> mysql and postgresql from the startup requirements in the pdns init 
> script, that seems to be enough to fix this problem.

thanks, juha




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sat, 30 Oct 2010 07:33:10 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 14:33:58 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.